# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-CDP-MIB

FILENAME = "/home/mvold/mibs/v2/CISCO-CDP-MIB.my"

MIB = {
    "moduleName" : "CISCO-CDP-MIB",

    "CISCO-CDP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco System Inc.""",
        "contact" : 
            """	Cisco Systems
Customer Service

Postal: 170 West Tasman Drive,
San Jose CA 95134-1706.
USA

Tel: +1 800 553-NETS

E-mail: cs-snmp@cisco.com""",
        "description" :
            """The MIB module for management of the Cisco Discovery
Protocol in Cisco devices.""",
        "revisions" : (
            {
                "date" : "2001-11-23 00:00",
                "description" :
                    """Added cdpInterfaceExtTable which contains the following
objects:
cdpInterfaceExtendedTrust, 
cdpInterfaceCosForUntrustedPort.""",
            },
            {
                "date" : "2001-04-23 00:00",
                "description" :
                    """Added the following objects:
cdpGlobalDeviceIdFormatCpb, 
cdpGlobalDeviceIdFormat.""",
            },
            {
                "date" : "2000-11-22 00:00",
                "description" :
                    """Added the following objects: 
cdpCacheApplianceID,
cdpCacheVlanID, 
cdpCachePowerConsumption,
cdpCacheMTU,
cdpCachePrimaryMgmtAddrType,
cdpCachePrimaryMgmtAddr,
cdpCacheSecondaryMgmtAddrType,
cdpCacheSecondaryMgmtAddr,
cdpCacheLastChange,
cdpCachePhysLocation,
cdpCacheSysName, 
cdpCacheSysObjectID,
cdpGlobalLastChange""",
            },
            {
                "date" : "1998-12-10 00:00",
                "description" :
                    """Added cdpGlobalDeviceId object.""",
            },
            {
                "date" : "1998-09-16 00:00",
                "description" :
                    """added these objects to cdpCacheTable:  
cdpCacheVTPMgmtDomain, 
cdpCacheNativeVLAN, 
cdpCacheDuplex.""",
            },
            {
                "date" : "1996-07-08 00:00",
                "description" :
                    """Obsolete cdpInterfaceMessageInterval and newly
define cdpGlobal object.""",
            },
            {
                "date" : "1995-08-15 00:00",
                "description" :
                    """Specify a correct (non-negative) range for several
index objects.""",
            },
            {
                "date" : "1995-07-27 00:00",
                "description" :
                    """Correct range of cdpInterfaceMessageInterval.""",
            },
            {
                "date" : "1995-01-25 00:00",
                "description" :
                    """Move from ciscoExperiment to ciscoMgmt oid subtree.""",
            },
        ),
        "identity node" : "ciscoCdpMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
        {"module" : "CISCO-TC", "name" : "CiscoNetworkProtocol"},
        {"module" : "CISCO-TC", "name" : "CiscoNetworkAddress"},
        {"module" : "CISCO-VTP-MIB", "name" : "VlanIndex"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
    ),

    "nodes" : {
        "ciscoCdpMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23",
            "status" : "current",
        }, # node
        "ciscoCdpMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1",
        }, # node
        "cdpInterface" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1",
        }, # node
        "cdpInterfaceTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1",
            "status" : "current",
            "description" :
                """The (conceptual) table containing the status of CDP on
the device's interfaces.""",
        }, # table
        "cdpInterfaceEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "cdpInterfaceIfIndex",
            ],
            "description" :
                """An entry (conceptual row) in the cdpInterfaceTable,
containing the status of CDP on an interface.""",
        }, # row
        "cdpInterfaceIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The ifIndex value of the local interface.

For 802.3 Repeaters on which the repeater ports do not
have ifIndex values assigned, this value is a unique
value for the port, and greater than any ifIndex value
supported by the repeater; in this case, the specific
port is indicated by corresponding values of
cdpInterfaceGroup and cdpInterfacePort, where these
values correspond to the group number and port number
values of RFC 1516.""",
        }, # column
        "cdpInterfaceEnable" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """An indication of whether the Cisco Discovery Protocol
is currently running on this interface.  This variable
has no effect when CDP is disabled (cdpGlobalRun = FALSE).""",
        }, # column
        "cdpInterfaceMessageInterval" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1.3",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "5",
                        "max" : "254"
                    },
                    ],
                    "range" : {
                        "min" : "5",
                        "max" : "254"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """The interval at which CDP messages are to be generated
on this interface.  The default value is 60 seconds.""",
        }, # column
        "cdpInterfaceGroup" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """This object is only relevant to interfaces which are
repeater ports on 802.3 repeaters.  In this situation,
it indicates the RFC1516 group number of the repeater
port which corresponds to this interface.""",
        }, # column
        "cdpInterfacePort" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """This object is only relevant to interfaces which are
repeater ports on 802.3 repeaters.  In this situation,
it indicates the RFC1516 port number of the repeater
port which corresponds to this interface.""",
        }, # column
        "cdpInterfaceExtTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.2",
            "status" : "current",
            "description" :
                """This table contains the additional CDP configuration on
the device's interfaces.""",
        }, # table
        "cdpInterfaceExtEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.2.1",
            "status" : "current",
            "linkage" : [
                "ifIndex",
            ],
            "description" :
                """An entry in the cdpInterfaceExtTable contains the values
configured for Extented Trust TLV and COS (Class of Service)
for Untrusted Ports TLV on an interface which supports the
sending of these TLVs.""",
        }, # row
        "cdpInterfaceExtendedTrust" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "trusted" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "noTrust" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """Indicates the value to be sent by Extended Trust TLV.

If trusted(1) is configured, the value of Extended Trust TLV
is one byte in length with its least significant bit equal to
1 to indicate extended trust. All other bits are 0.

If noTrust(2) is configured, the value of Extended Trust TLV
is one byte in length with its least significant bit equal to
0 to indicate no extended trust. All other bits are 0.""",
        }, # column
        "cdpInterfaceCosForUntrustedPort" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "7"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "7"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """Indicates the value to be sent by COS for Untrusted Ports TLV.""",
        }, # column
        "cdpCache" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2",
        }, # node
        "cdpCacheTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1",
            "status" : "current",
            "description" :
                """The (conceptual) table containing the cached
information obtained via receiving CDP messages.""",
        }, # table
        "cdpCacheEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "cdpCacheIfIndex",
                "cdpCacheDeviceIndex",
            ],
            "description" :
                """An entry (conceptual row) in the cdpCacheTable,
containing the information received via CDP on one
interface from one device.  Entries appear when
a CDP advertisement is received from a neighbor
device.  Entries disappear when CDP is disabled
on the interface, or globally.""",
        }, # row
        "cdpCacheIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Normally, the ifIndex value of the local interface.
For 802.3 Repeaters for which the repeater ports do not
have ifIndex values assigned, this value is a unique
value for the port, and greater than any ifIndex value
supported by the repeater; the specific port number in
this case, is given by the corresponding value of
cdpInterfacePort.""",
        }, # column
        "cdpCacheDeviceIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """A unique value for each device from which CDP messages
are being received.""",
        }, # column
        "cdpCacheAddressType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkProtocol"},
            },
            "access" : "readonly",
            "description" :
                """An indication of the type of address contained in the
corresponding instance of cdpCacheAddress.""",
        }, # column
        "cdpCacheAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkAddress"},
            },
            "access" : "readonly",
            "description" :
                """The (first) network-layer address of the device's
SNMP-agent as reported in the Address TLV of the most recently
received CDP message.  For example, if the corresponding
instance of cacheAddressType had the value 'ip(1)', then
this object would be an IP-address.""",
        }, # column
        "cdpCacheVersion" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The Version string as reported in the most recent CDP
message.  The zero-length string indicates no Version
field (TLV) was reported in the most recent CDP
message.""",
        }, # column
        "cdpCacheDeviceId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The Device-ID string as reported in the most recent CDP
message.  The zero-length string indicates no Device-ID
field (TLV) was reported in the most recent CDP
message.""",
        }, # column
        "cdpCacheDevicePort" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The Port-ID string as reported in the most recent CDP
message.  This will typically be the value of the ifName
object (e.g., 'Ethernet0').  The zero-length string
indicates no Port-ID field (TLV) was reported in the
most recent CDP message.""",
        }, # column
        "cdpCachePlatform" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The Device's Hardware Platform as reported in the most
recent CDP message.  The zero-length string indicates
that no Platform field (TLV) was reported in the most
recent CDP message.""",
        }, # column
        "cdpCacheCapabilities" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "4"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Device's Functional Capabilities as reported in the
most recent CDP message.  For latest set of specific
values, see the latest version of the CDP specification.
The zero-length string indicates no Capabilities field
(TLV) was reported in the most recent CDP message.""",
            "reference>" :
                """Cisco Discovery Protocol Specification, 10/19/94.""",
        }, # column
        "cdpCacheVTPMgmtDomain" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The VTP Management Domain for the remote device's interface, 
as reported in the most recently received CDP message.
This object is not instantiated if no VTP Management Domain field
(TLV) was reported in the most recently received CDP message.""",
            "reference>" :
                """managementDomainName in CISCO-VTP-MIB""",
        }, # column
        "cdpCacheNativeVLAN" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-VTP-MIB", "name" : "VlanIndex"},
            },
            "access" : "readonly",
            "description" :
                """The remote device's interface's native VLAN, as reported in the 
most recent CDP message.  The value 0 indicates
no native VLAN field (TLV) was reported in the most
recent CDP message.""",
        }, # column
        "cdpCacheDuplex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "halfduplex" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "fullduplex" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The remote device's interface's duplex mode, as reported in the 
most recent CDP message.  The value unknown(1) indicates
no duplex mode field (TLV) was reported in the most
recent CDP message.""",
        }, # column
        "cdpCacheApplianceID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The remote device's Appliance ID, as reported in the 
most recent CDP message. This object is not instantiated if
no Appliance VLAN-ID field (TLV) was reported in the most
recently received CDP message.""",
        }, # column
        "cdpCacheVlanID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.14",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "4095"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "4095"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The remote device's VoIP VLAN ID, as reported in the 
most recent CDP message. This object is not instantiated if
no Appliance VLAN-ID field (TLV) was reported in the most
recently received CDP message.""",
        }, # column
        "cdpCachePowerConsumption" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "milliwatts",
            "description" :
                """The amount of power consumed by remote device, as reported
in the most recent CDP message. This object is not instantiated
if no Power Consumption field (TLV) was reported in the most
recently received CDP message.""",
        }, # column
        "cdpCacheMTU" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """Indicates the size of the largest datagram that can be
sent/received by remote device, as reported in the most recent
CDP message. This object is not instantiated if no MTU field
(TLV) was reported in the most recently received CDP message.""",
        }, # column
        "cdpCacheSysName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.17",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Indicates the value of the remote device's sysName MIB object.
By convention, it is the device's fully qualified domain name.
This object is not instantiated if no sysName field (TLV) was
reported in the most recently received CDP message.""",
        }, # column
        "cdpCacheSysObjectID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "readonly",
            "description" :
                """Indicates the value of the remote device's sysObjectID MIB
object. This object is not instantiated if no sysObjectID field
(TLV) was reported in the most recently received CDP message.""",
        }, # column
        "cdpCachePrimaryMgmtAddrType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.19",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkProtocol"},
            },
            "access" : "readonly",
            "description" :
                """An indication of the type of address contained in the
corresponding instance of cdpCachePrimaryMgmtAddress.""",
        }, # column
        "cdpCachePrimaryMgmtAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkAddress"},
            },
            "access" : "readonly",
            "description" :
                """This object indicates the (first) network layer address at
which the device will accept SNMP messages as reported in the
most recently received CDP message. If the corresponding
instance of cdpCachePrimaryMgmtAddrType has the value 'ip(1)',
then this object would be an IP-address. If the remote device
is not currently manageable via any network protocol, this
object has the special value of the IPv4 address 0.0.0.0.
If the most recently received CDP message did not contain any
primary address at which the device prefers to receive
SNMP messages, then this object is not instanstiated.""",
        }, # column
        "cdpCacheSecondaryMgmtAddrType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.21",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkProtocol"},
            },
            "access" : "readonly",
            "description" :
                """An indication of the type of address contained in the
corresponding instance of cdpCacheSecondaryMgmtAddress.""",
        }, # column
        "cdpCacheSecondaryMgmtAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.22",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoNetworkAddress"},
            },
            "access" : "readonly",
            "description" :
                """This object indicates the alternate network layer address
(other than the one indicated by cdpCachePrimaryMgmtAddr) at
which the device will accept SNMP messages as reported in the
most recently received CDP message. If the corresponding
instance of cdpCacheSecondaryMgmtAddrType has the value 'ip(1)',
then this object would be an IP-address. If the most recently
received CDP message did not contain such an alternate network
layer address, then this object is not instanstiated.""",
        }, # column
        "cdpCachePhysLocation" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.23",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """Indicates the physical location, as reported by the most recent
CDP message, of a connector which is on, or physically connected
to, the remote device's interface over which the CDP packet is
sent. This object is not instantiated if no Physical Location
field (TLV) was reported by the most recently received CDP
message.""",
        }, # column
        "cdpCacheLastChange" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.2.1.1.24",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """Indicates the time when this cache entry was last changed.
This object is initialised to the current time when the entry
gets created and updated to the current time whenever the value
of any (other) object instance in the corresponding row is
modified.""",
        }, # column
        "cdpGlobal" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3",
        }, # node
        "cdpGlobalRun" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "true",
            "description" :
                """An indication of whether the Cisco Discovery Protocol
is currently running.  Entries in cdpCacheTable are
deleted when CDP is disabled.""",
        }, # scalar
        "cdpGlobalMessageInterval" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "5",
                        "max" : "254"
                    },
                    ],
                    "range" : {
                        "min" : "5",
                        "max" : "254"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "60",
            "units" : "seconds",
            "description" :
                """The interval at which CDP messages are to be generated.
The default value is 60 seconds.""",
        }, # scalar
        "cdpGlobalHoldTime" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "10",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "10",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "180",
            "units" : "seconds",
            "description" :
                """The time for the receiving device holds CDP message.
The default value is 180 seconds.""",
        }, # scalar
        "cdpGlobalDeviceId" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The device ID advertised by this device. The format of this
device id is characterized by the value of 
cdpGlobalDeviceIdFormat object.""",
        }, # scalar
        "cdpGlobalLastChange" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """Indicates the time when the cache table was last changed. It
is the most recent time at which any row was last created,
modified or deleted.""",
        }, # scalar
        "cdpGlobalDeviceIdFormatCpb" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Bits",
                    "serialNumber" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "macAddress" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Indicate the Device-Id format capability of the device.

serialNumber(0) indicates that the device supports using
serial number as the format for its DeviceId.

macAddress(1) indicates that the device supports using
layer 2 MAC address as the format for its DeviceId.

other(2) indicates that the device supports using its
platform specific format as the format for its DeviceId.""",
        }, # scalar
        "cdpGlobalDeviceIdFormat" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.1.3.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "serialNumber" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "macAddress" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """An indication of the format of Device-Id contained in the
corresponding instance of cdpGlobalDeviceId. User can only
specify the formats that the device is capable of as
denoted in cdpGlobalDeviceIdFormatCpb object.

serialNumber(1) indicates that the value of cdpGlobalDeviceId 
object is in the form of an ASCII string contain the device
serial number. 

macAddress(2) indicates that the value of cdpGlobalDeviceId 
object is in the form of Layer 2 MAC address.

other(3) indicates that the value of cdpGlobalDeviceId object
is in the form of a platform specific ASCII string contain
info that identifies the device. For example: ASCII string
contains serialNumber appended/prepened with system name.""",
        }, # scalar
        "ciscoCdpMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2",
        }, # node
        "ciscoCdpMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.1",
        }, # node
        "ciscoCdpMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "ciscoCdpMIBGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.1",
            "status" : "obsolete",
            "members" : {
                "cdpInterfaceEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceMessageInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddressType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDeviceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDevicePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePlatform" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol.""",
        }, # group
        "ciscoCdpMIBGroupV11R01" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.2",
            "status" : "obsolete",
            "members" : {
                "cdpInterfaceEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceMessageInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceGroup" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfacePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddressType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDeviceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDevicePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePlatform" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol.""",
        }, # group
        "ciscoCdpMIBGroupV11R02" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.3",
            "status" : "obsolete",
            "members" : {
                "cdpInterfaceEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceGroup" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfacePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddressType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDeviceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDevicePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePlatform" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalRun" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalMessageInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalHoldTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol.""",
        }, # group
        "ciscoCdpMIBGroupV12R02" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.5",
            "status" : "current",
            "members" : {
                "cdpInterfaceEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceGroup" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfacePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddressType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDeviceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDevicePort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePlatform" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVTPMgmtDomain" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheNativeVLAN" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheDuplex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalRun" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalMessageInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalHoldTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalDeviceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol.""",
        }, # group
        "ciscoCdpV2MIBGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.6",
            "status" : "current",
            "members" : {
                "cdpCacheApplianceID" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheVlanID" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePowerConsumption" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheMTU" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheSysName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheSysObjectID" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheLastChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePhysLocation" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePrimaryMgmtAddrType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCachePrimaryMgmtAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheSecondaryMgmtAddrType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpCacheSecondaryMgmtAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalLastChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalDeviceIdFormatCpb" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpGlobalDeviceIdFormat" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol version 2.""",
        }, # group
        "ciscoCdpV2IfExtGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.2.7",
            "status" : "current",
            "members" : {
                "cdpInterfaceExtendedTrust" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
                "cdpInterfaceCosForUntrustedPort" : {
                    "nodetype" : "member",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for use with the Cisco
Discovery Protocol version 2 to configure the value
for Extended Trust TLV and COS for Untrusted Port TLV.""",
        }, # group
    }, # groups

    "compliances" : {
        "ciscoCdpMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.1.1",
            "status" : "obsolete",
            "description" :
                """The compliance statement for the CDP MIB.""",
            "requires" : {
                "ciscoCdpMIBGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # requires
        }, # compliance
        "ciscoCdpMIBComplianceV11R01" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.1.2",
            "status" : "obsolete",
            "description" :
                """The compliance statement for the CDP MIB.""",
            "requires" : {
                "ciscoCdpMIBGroupV11R01" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # requires
        }, # compliance
        "ciscoCdpMIBComplianceV11R02" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.1.3",
            "status" : "obsolete",
            "description" :
                """The compliance statement for the CDP MIB.""",
            "requires" : {
                "ciscoCdpMIBGroupV11R02" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # requires
        }, # compliance
        "ciscoCdpMIBComplianceV12R02" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-CDP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.23.2.1.4",
            "status" : "current",
            "description" :
                """The compliance statement for the CDP MIB.""",
            "requires" : {
                "ciscoCdpMIBGroupV12R02" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-CDP-MIB"
                },
            }, # requires
        }, # compliance
    }, # compliances

}
