# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python CISCO-IETF-IP-MIB

FILENAME = "/home/magnusme/mibs/v2/CISCO-IETF-IP-MIB.my"

MIB = {
    "moduleName" : "CISCO-IETF-IP-MIB",

    "CISCO-IETF-IP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """        Cisco Systems
Customer Service

Postal: 170 West Tasman Drive
San Jose, CA 95134
USA

Phone: +1 800 553-NETS

Email: cs-ipv6@cisco.com""",
        "description" :
            """The MIB module for managing IP and ICMP implementations,
but excluding the management of IP routes.""",
        "revisions" : (
            {
                "date" : "2002-03-04 00:00",
                "description" :
                    """The initial version of this MIB module.""",
            },
        ),
        "identity node" : "ciscoIetfIpMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-TC", "name" : "PhysAddress"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "RowPointer"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddress"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressType"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
        {"module" : "IF-MIB", "name" : "InterfaceIndex"},
        {"module" : "IF-MIB", "name" : "InterfaceIndexOrZero"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
        {"module" : "CISCO-SMI", "name" : "ciscoExperiment"},
    ),

    "typedefs" : {
        "Ipv6AddrIfIdentifier" : {
            "basetype" : "OctetString",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "8"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "8"
            },
            "format" : "2x:",
            "description" :
                """This data type is used to model IPv6 address
interface identifiers. This is a binary string
of up to 8 octets in network byte-order.""",
        },
        "ScopeId" : {
            "basetype" : "Unsigned32",
            "status" : "current",
            "description" :
                """A Scope Identifier identifies an instance of a specific
scope.

The scope identifier MUST disambiguate identical address
values. For link-local addresses, the scope identifier
will typically be the interface index (ifIndex as
defined in the IF-MIB) of the interface on which the
address is configured.

The scope identifier may contain the special value 0
which refers to the default scope. The default scope
may be used in cases where the valid scope identifier
is not known (e.g., a management application needs to
write a site-local InetAddressIPv6 address without
knowing the site identifier value). The default scope
SHOULD NOT be used as an easy way out in cases where
the scope identifier for a non-global IPv6 address is
known.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoIetfIpMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86",
            "status" : "current",
        }, # node
        "ciscoIetfIpMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1",
        }, # node
        "cIp" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1",
        }, # node
        "cIpAddressPfxTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1",
            "status" : "current",
            "description" :
                """Inet prefix table.""",
        }, # table
        "cIpAddressPfxEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "cIpAddressPfxIfIndex",
                "cIpAddressPfxType",
                "cIpAddressPfxPfx",
                "cIpAddressPfxLength",
            ],
            "description" :
                """Inet prefix entry.""",
        }, # row
        "cIpAddressPfxIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The interface on which this prefix is configured.""",
        }, # column
        "cIpAddressPfxType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The address type of cIpAddressPfxPfx.  Only IPv4 and IPv6
addresses are expected.""",
        }, # column
        "cIpAddressPfxPfx" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "INET-ADDRESS-MIB",
                        "type" : "InetAddress",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "36"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "36"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The address prefix.  Bits after cIpAddressPfxLength
must be zero.""",
        }, # column
        "cIpAddressPfxLength" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
            },
            "access" : "noaccess",
            "description" :
                """The prefix length associated with this prefix.""",
        }, # column
        "cIpAddressPfxOrigin" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "manual" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "wellknown" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "dhcp" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "routeradv" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The origin of this prefix.  manual(2) indicates a prefix
that was manually configured.  wellknown(3) indicates a
well-known prefix, e.g. 169.254/16 for IPv4
autoconfiguration or fe80::/10 for IPv6 link-local
addresses.  dhcp(4) indicates a prefix that was assigned
by a DHCP server.  routeradv(5) indicates a prefix
learned from a router advertisement.""",
        }, # column
        "cIpAddressPfxOnLinkFlag" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This object has the value 'true(1)', if this prefix
can be used  for on-link determination and the value
'false(2)' otherwise.""",
        }, # column
        "cIpAddressPfxAutonomousFlag" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """Autonomous address configuration flag. When true(1),
indicates that this prefix can be used for autonomous
address configuration (i.e. can be used to form a local
interface address).  If false(2), it is not used to
autoconfigure a local interface address.""",
        }, # column
        "cIpAddressPfxAdvPfdLifetime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The length of time in seconds that this prefix will
remain preferred, i.e. time until deprecation.  A
value of 4,294,967,295 represents infinity.

The address generated from a deprecated prefix should no
longer be used as a source address in new communications,
but packets received on such an interface are processed
as expected.""",
        }, # column
        "cIpAddressPfxAdvValidLifetime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The length of time in seconds that this prefix will
remain valid, i.e. time until invalidation.  A value of
4,294,967,295 represents infinity.

The address generated from an invalidated prefix should
not appear as the destination or source address of a
packet.""",
        }, # column
        "cIpAddressTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2",
            "status" : "current",
            "description" :
                """Inet address table.""",
        }, # table
        "cIpAddressEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1",
            "status" : "current",
            "linkage" : [
                "cIpAddressAddrType",
                "cIpAddressAddr",
            ],
            "description" :
                """Inet addr entry.""",
        }, # row
        "cIpAddressAddrType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The address type of cIpAddressAddr.""",
        }, # column
        "cIpAddressAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "INET-ADDRESS-MIB",
                        "type" : "InetAddress",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "36"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "36"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The IP address to which this entry's addressing
information pertains.""",
        }, # column
        "cIpAddressIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readonly",
            "description" :
                """The index value which uniquely identifies the interface
to which this entry is applicable.  The interface
identified by a particular value of this index is the
same interface as identified by the same value of the
IF-MIB's ifIndex.""",
        }, # column
        "cIpAddressType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unicast" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "anycast" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "broadcast" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of address.  broadcast(3) is not a valid value
for IPv6 addresses.""",
        }, # column
        "cIpAddressPrefix" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowPointer"},
            },
            "access" : "readonly",
            "description" :
                """A pointer to the row in the prefix table to which this
address belongs.  May be { 0 0 } if there is no such
row.""",
        }, # column
        "cIpAddressOrigin" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "manual" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "wellknown" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "dhcp" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "linklayer" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "random" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The origin of the address.  manual(2) indicates that the
address was manually configured.  wellknown(3) indicates
an address constructed from a well-known value, e.g. an
IANA-assigned anycast address.  dhcp(4) indicates an
address that was assigned to this system by a DHCP
server.  linklayer(5) indicates an address created by
IPv6 stateless autoconfiguration.  random(6) indicates
an address chosen by random, e.g. an IPv4 address within
169.254/16, or an RFC 3041 privacy address.""",
        }, # column
        "cIpAddressStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "preferred" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "deprecated" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "inaccessible" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "tentative" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "duplicate" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Address status.  The preferred(1) state indicates that
this is a valid address that can appear as the
destination or source address of a packet. The
deprecated(2) state indicates that this is a valid but
deprecated address that should no longer be used as a
source address in new communications, but packets
addressed to such an address are processed as expected.
The invalid(3) state indicates that this is not valid
address which should not appear as the destination or
source address of a packet. The inaccessible(4) state
indicates that the address is not accessible because
the interface to which this address is assigned is not
operational. The tentative(6) state indicates the
uniqueness of the address on the link is being verified.
The duplicate(7) state indicates the address has been
determined to be non-unique on the link and so must not
be used.

In the absence of other information, an IPv4 address is
always preferred(1).""",
        }, # column
        "cInetNetToMediaTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3",
            "status" : "current",
            "description" :
                """The IP Address Translation table used for mapping from IP
addresses to physical addresses.

The Address Translation tables contain the IP address to
'physical' address equivalences.  Some interfaces do not
use translation tables for determining address
equivalences (e.g., DDN-X.25 has an algorithmic method);
if all interfaces are of this type, then the Address
Translation table is empty, i.e., has zero entries.""",
        }, # table
        "cInetNetToMediaEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ifIndex",
                "cInetNetToMediaNetAddressType",
                "cInetNetToMediaNetAddress",
            ],
            "description" :
                """Each entry contains one IP address to `physical' address
equivalence.""",
        }, # row
        "cInetNetToMediaNetAddressType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The type of cInetNetToMediaNetAddress.""",
        }, # column
        "cInetNetToMediaNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "INET-ADDRESS-MIB",
                        "type" : "InetAddress",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "36"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "36"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The IP Address corresponding to the media-dependent
`physical' address.""",
        }, # column
        "cInetNetToMediaPhysAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "PhysAddress"},
            },
            "access" : "readwrite",
            "description" :
                """The media-dependent `physical' address.""",
        }, # column
        "cInetNetToMediaLastUpdated" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time this entry was last
updated.  If this entry was updated prior to the last re-
initialization of the local network management subsystem,
then this object contains a zero value.""",
        }, # column
        "cInetNetToMediaType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dynamic" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "static" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of mapping.

Setting this object to the value invalid(2) has the
effect of invalidating the corresponding entry in the
cInetNetToMediaTable.  That is, it effectively
disassociates the interface identified with said entry
from the mapping identified with said entry.  It is an
implementation-specific matter as to whether the agent
removes an invalidated entry from the table. 
Accordingly, management stations must be prepared to
receive tabular information from agents that corresponds
to entries not currently in use.  Proper interpretation
of such entries requires examination of the relevant
cInetNetToMediaType object.

The 'dynamic(3)' type indicates that the IP address to
physical addresses mapping has been dynamically resolved
using e.g. IPv4 ARP or the IPv6 Neighbor Discovery
protocol.

The 'static(4)' type indicates that the mapping has been
statically configured.  The 'local(5)' type indicates
that the mapping is provided for an entity's own
interface address.""",
        }, # column
        "cInetNetToMediaState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "reachable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "stale" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "delay" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "probe" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "incomplete" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Neighbor Unreachability Detection [3] state for the
interface when the address mapping in this entry is used.
If Neighbor Unreachability Detection is not in use (e.g.
for IPv4), this object is always unknown(6).""",
            "reference>" :
                """RFC2461""",
        }, # column
        "cIpv6ScopeIdTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4",
            "status" : "current",
            "description" :
                """The table used to describe IPv6 unicast and multicast
scope zones.""",
        }, # table
        "cIpv6ScopeIdEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1",
            "status" : "current",
            "linkage" : [
                "cIpv6ScopeIdIfIndex",
            ],
            "description" :
                """Each entry contains the list of scope identifiers on a
given interface.""",
        }, # row
        "cIpv6ScopeIdIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The interface to which these scopes belong.""",
        }, # column
        "cIpv6ScopeIdLinkLocal" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for the link-local scope on this
interface.""",
        }, # column
        "cIpv6ScopeIdSubnetLocal" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for the subnet-local scope on this
interface.""",
        }, # column
        "cIpv6ScopeIdAdminLocal" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for the admin-local scope on this
interface.""",
        }, # column
        "cIpv6ScopeIdSiteLocal" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for the site-local scope on this
interface.""",
        }, # column
        "cIpv6ScopeId6" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope 6 on this interface.""",
        }, # column
        "cIpv6ScopeId7" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope 7 on this interface.""",
        }, # column
        "cIpv6ScopeIdOrganizationLocal" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for the orgainzation-local scope on
this interface.""",
        }, # column
        "cIpv6ScopeId9" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope 9 on this interface.""",
        }, # column
        "cIpv6ScopeIdA" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope A on this interface.""",
        }, # column
        "cIpv6ScopeIdB" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope B on this interface.""",
        }, # column
        "cIpv6ScopeIdC" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope C on this interface.""",
        }, # column
        "cIpv6ScopeIdD" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.1.4.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "ScopeId"},
            },
            "access" : "readonly",
            "description" :
                """The Scope Identifier for scope D on this interface.""",
        }, # column
        "cIpv6" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2",
        }, # node
        "cIpv6Forwarding" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notForwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether this entity is acting as an
IPv6 router in respect to the forwarding of datagrams
received by, but not addressed to, this entity.  IPv6
routers forward datagrams.  IPv6 hosts do not (except
those source-routed via the host).""",
        }, # scalar
        "cIpv6DefaultHopLimit" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The default value inserted into the Hop Limit field of
the IPv6 header of datagrams originated at this entity,
whenever a Hop Limit value is not supplied by the
transport layer protocol.""",
        }, # scalar
        "cIpv6InterfaceTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3",
            "status" : "current",
            "description" :
                """The table containing per-interface IPv6-specific
information.""",
        }, # table
        "cIpv6InterfaceEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "cIpv6InterfaceIfIndex",
            ],
            "description" :
                """An entry containing IPv6-specific information for a given
interface.""",
        }, # row
        "cIpv6InterfaceIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The interface for which this row contains IPv6-specific
information.""",
        }, # column
        "cIpv6InterfaceEffectiveMtu" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "octets",
            "description" :
                """The size of the largest IPv6 packet which can be
sent/received on the interface, specified in octets.""",
        }, # column
        "cIpv6InterfaceReasmMaxSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "units" : "octets",
            "description" :
                """The size of the largest IPv6 datagram which this entity
can re-assemble from incoming IPv6 fragmented datagrams
received on this interface.""",
        }, # column
        "cIpv6InterfaceIdentifier" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-IETF-IP-MIB", "name" : "Ipv6AddrIfIdentifier"},
            },
            "access" : "readwrite",
            "description" :
                """The Interface Identifier for this interface that is (at
least) unique on the link this interface is attached to.
The Interface Identifier is combined with an address
prefix to form an interface address. 

By default, the Interface Identifier is autoconfigured
according to the rules of the link type this interface is
attached to.""",
        }, # column
        "cIpv6InterfaceIdentifierLength" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "64"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "64"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "bits",
            "description" :
                """The length of the Interface Identifier in bits.""",
        }, # column
        "cIpv6InterfacePhysicalAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.2.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "PhysAddress"},
            },
            "access" : "readonly",
            "description" :
                """The interface's physical address. For example, for an
IPv6 interface attached to an 802.x link, this object
normally contains a MAC address. Note that in some
cases this address may differ from the address of the
interface's protocol sub-layer.  The interface's
media-specific MIB must define the bit and byte
ordering and the format of the value of this object.
For interfaces which do not have such an address
(e.g., a serial line), this object should contain
an octet string of zero length.""",
        }, # column
        "cIcmp" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3",
        }, # node
        "cInetIcmpTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1",
            "status" : "current",
            "description" :
                """The table of generic ICMP counters.  These counters may
be kept per-interface and/or system-wide.""",
        }, # table
        "cInetIcmpEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1",
            "status" : "current",
            "linkage" : [
                "cInetIcmpAFType",
                "cInetIcmpIfIndex",
            ],
            "description" :
                """A conceptual row in the inetIcmpTable.

A row with an inetIcmpIfIndex value of zero indicates a
system-wide value; a row with a non-zero inetIcmpIfIndex
indicates an interface-specific value.  A system may
provide both system-wide and interface-specific values,
in which case it is important to note that the
system-wide value may not be equal to the sum of the
interface-specific value across all interfaces due to
e.g. dynamic interface creation/deletion.""",
        }, # row
        "cInetIcmpAFType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The IP address family of the statistics.""",
        }, # column
        "cInetIcmpIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndexOrZero"},
            },
            "access" : "noaccess",
            "description" :
                """The ifindex of the interface, or zero for system-wide
stats.""",
        }, # column
        "cInetIcmpInMsgs" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages which the entity
received. Note that this counter includes all those
counted by cInetIcmpInErrors.""",
        }, # column
        "cInetIcmpInErrors" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages which the entity received but
determined as having ICMP-specific errors (bad ICMP
checksums, bad length, etc.).""",
        }, # column
        "cInetIcmpOutMsgs" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages which the entity
received. Note that this counter includes all those
counted by inetIcmpOutErrors.""",
        }, # column
        "cInetIcmpOutErrors" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages which this entity did not
send due to problems discovered within ICMP such as a
lack of buffers.  This value should not include errors
discovered  outside the ICMP layer such as the inability
of IP to route the resultant datagram.  In some
implementations there may be no types of error which
contribute to this counter's value.""",
        }, # column
        "cInetIcmpMsgTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2",
            "status" : "current",
            "description" :
                """The table of per-message ICMP counters.  These counters
may be kept per-interface and/or system-wide.""",
        }, # table
        "cInetIcmpMsgEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1",
            "status" : "current",
            "linkage" : [
                "cInetIcmpMsgAFType",
                "cInetIcmpMsgIfIndex",
                "cInetIcmpMsgType",
                "cInetIcmpMsgCode",
            ],
            "description" :
                """A conceptual row in the inetIcmpMsgTable.

A row with an inetIcmpMsgIfIndex value of zero indicates
a system-wide value; a row with a non-zero
cInetIcmpMsgIfIndex indicates an interface-specific
value.  A system may provide both system-wide and
interface-specific values, in which case it is important
to note that the system-wide value may not be equal to
the sum of the interface-specific values across all
interfaces due to e.g. dynamic interface
creation/deletion.

If the system keeps track of individual ICMP code values
(e.g.  destination unreachable, code administratively
prohibited), it creates several rows for each
inetIcmpMsgType, each with an appropriate value of
cInetIcmpMsgCode.  A row with the special value of
cInetIcmpMsgCode, 256, counts all packets with type
cInetIcmpMsgType that aren't counted in rows with a value
of cInetIcmpMsgCode other than 256.""",
        }, # row
        "cInetIcmpMsgAFType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The IP address family of the statistics.""",
        }, # column
        "cInetIcmpMsgIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndexOrZero"},
            },
            "access" : "noaccess",
            "description" :
                """The ifindex of the interface, or zero for system-wide
stats.""",
        }, # column
        "cInetIcmpMsgType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The ICMP type field of the message type being counted by
this row.""",
        }, # column
        "cInetIcmpMsgCode" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "256"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "256"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The ICMP code field of the message type being counted by
this row, or the special value 256 if no specific ICMP
code is counted by this row.""",
        }, # column
        "cInetIcmpMsgInPkts" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input packets for this AF, ifindex, type,
code.""",
        }, # column
        "cInetIcmpMsgOutPkts" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.1.3.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output packets for this AF, ifindex, type,
code.""",
        }, # column
        "ciscoIpMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2",
        }, # node
        "ciscoIpMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.1",
        }, # node
        "ciscoIpMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "ciscoIpAddressPfxGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.1",
            "status" : "current",
            "members" : {
                "cIpAddressPfxOrigin" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressPfxOnLinkFlag" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressPfxAutonomousFlag" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressPfxAdvPfdLifetime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressPfxAdvValidLifetime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The ip version independent address prefix group of entries
providing for basic management of IP prefixes.""",
        }, # group
        "ciscoIpAddressGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.2",
            "status" : "current",
            "members" : {
                "cIpAddressIfIndex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressPrefix" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressOrigin" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpAddressStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The ip version independent address group of entries
providing for basic management of IP addresses.""",
        }, # group
        "ciscoInetNetToMediaGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.3",
            "status" : "current",
            "members" : {
                "cInetNetToMediaPhysAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetNetToMediaLastUpdated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetNetToMediaType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetNetToMediaState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The group of entries providing IP address to physical
address mapping.""",
        }, # group
        "ciscoInetIcmpGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.4",
            "status" : "current",
            "members" : {
                "cInetIcmpInMsgs" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetIcmpInErrors" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetIcmpOutMsgs" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetIcmpOutErrors" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The group of entries providing version independent
per-interface ICMP specific counters.""",
        }, # group
        "ciscoInetIcmpMsgGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.5",
            "status" : "current",
            "members" : {
                "cInetIcmpMsgInPkts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cInetIcmpMsgOutPkts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The group of entries providing version independent
per-interface ICMP msg type specific counters.""",
        }, # group
        "ciscoIpv6GeneralGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.6",
            "status" : "current",
            "members" : {
                "cIpv6Forwarding" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6DefaultHopLimit" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The IPv6 group of objects providing for basic
management of IPv6 entities.""",
        }, # group
        "ciscoIpv6InterfaceGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.7",
            "status" : "current",
            "members" : {
                "cIpv6InterfaceEffectiveMtu" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6InterfaceReasmMaxSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6InterfaceIdentifier" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6InterfaceIdentifierLength" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6InterfacePhysicalAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The IPv6 group of objects providing IPv6 interface
specific statistics.""",
        }, # group
        "ciscoIpv6ScopeGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.2.8",
            "status" : "current",
            "members" : {
                "cIpv6ScopeIdLinkLocal" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdSubnetLocal" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdAdminLocal" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdSiteLocal" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeId6" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeId7" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdOrganizationLocal" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeId9" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdA" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdB" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdC" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "cIpv6ScopeIdD" : {
                    "nodetype" : "member",
                    "module" : "CISCO-IETF-IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for managing IPv6 scope zones.""",
        }, # group
    }, # groups

    "compliances" : {
        "ciscoIpMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-IETF-IP-MIB",
            "oid" : "1.3.6.1.4.1.9.10.86.2.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for systems which implement
IPv6 OR IPv4.""",
            "requires" : {
                "ciscoIpAddressPfxGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "ciscoIpAddressGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "ciscoInetNetToMediaGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "ciscoInetIcmpGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "ciscoInetIcmpMsgGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-IETF-IP-MIB"
                },
                "ciscoIpv6GeneralGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-IETF-IP-MIB",
                    "description" :
                        """This group is mandatory only when IPv6 is implemented
on the system.""",
                },
                "ciscoIpv6InterfaceGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-IETF-IP-MIB",
                    "description" :
                        """This group is mandatory only when IPv6 is implemented
on the system.""",
                },
                "ciscoIpv6ScopeGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-IETF-IP-MIB",
                    "description" :
                        """The group is mandatory onle when IPv6 scoped architecture
has been implemented on the system.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
