# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python EtherLike-MIB

FILENAME = "EtherLike-MIB.txt"

MIB = {
    "moduleName" : "EtherLike-MIB",

    "EtherLike-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF Ethernet Interfaces and Hub MIB
Working Group""",
        "contact" : 
            """WG E-mail: hubmib@ietf.org
To subscribe: hubmib-request@ietf.org

       Chair: Dan Romascanu
      Postal: Avaya Inc.
              Atidum Technology Park, Bldg. 3
              Tel Aviv 61131
              Israel
         Tel: +972 3 645 8414
      E-mail: dromasca@avaya.com

     Editor: John Flick
     Postal: Hewlett-Packard Company
             8000 Foothills Blvd. M/S 5557
             Roseville, CA 95747-5557
             USA
        Tel: +1 916 785 4018
        Fax: +1 916 785 1199
     E-mail: johnf@rose.hp.com""",
        "description" :
            """The MIB module to describe generic objects for
ethernet-like network interfaces.

The following reference is used throughout this
MIB module:

[IEEE 802.3 Std] refers to:
   IEEE Std 802.3, 2002 Edition: 'IEEE Standard

   for Information technology -
   Telecommunications and information exchange
   between systems - Local and metropolitan
   area networks - Specific requirements -
   Part 3: Carrier sense multiple access with
   collision detection (CSMA/CD) access method
   and physical layer specifications', as
   amended by IEEE Std 802.3ae-2002:
   'Amendment: Media Access Control (MAC)
   Parameters, Physical Layer, and Management
   Parameters for 10 Gb/s Operation', August,
   2002.

Of particular interest is Clause 30, '10 Mb/s,
100 Mb/s, 1000 Mb/s, and 10 Gb/s Management'.

Copyright (C) The Internet Society (2003).  This
version of this MIB module is part of RFC 3635;
see the RFC itself for full legal notices.""",
        "revisions" : (
            {
                "date" : "2003-09-19 00:00",
                "description" :
                    """Updated to include support for 10 Gb/sec
interfaces.  This resulted in the following
revisions:

- Updated dot3StatsAlignmentErrors and
  dot3StatsSymbolErrors DESCRIPTIONs to
  reflect behaviour at 10 Gb/s
- Added dot3StatsRateControlAbility and
  dot3RateControlStatus for management
  of the Rate Control function in 10 Gb/s
  WAN applications
- Added 64-bit versions of all counters
  that are used on high-speed ethernet
  interfaces
- Added object groups to contain the new
  objects
- Deprecated etherStatsBaseGroup and
  split into etherStatsBaseGroup2 and
  etherStatsHalfDuplexGroup, so that
  interfaces which can only operate at
  full-duplex do not need to implement
  half-duplex-only statistics
- Deprecated dot3Compliance and replaced
  it with dot3Compliance2, which includes
  the compliance information for the new
  object groups

In addition, the dot3Tests and dot3Errors
object identities have been deprecated,
since there is no longer a standard method
for using them.

This version published as RFC 3635.""",
            },
            {
                "date" : "1999-08-24 04:00",
                "description" :
                    """Updated to include support for 1000 Mb/sec
interfaces and full-duplex interfaces.
This version published as RFC 2665.""",
            },
            {
                "date" : "1998-06-03 21:50",
                "description" :
                    """Updated to include support for 100 Mb/sec
interfaces.
This version published as RFC 2358.""",
            },
            {
                "date" : "1994-02-03 04:00",
                "description" :
                    """Initial version, published as RFC 1650.""",
            },
        ),
        "identity node" : "etherMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter64"},
        {"module" : "SNMPv2-SMI", "name" : "mib-2"},
        {"module" : "SNMPv2-SMI", "name" : "transmission"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
        {"module" : "IF-MIB", "name" : "InterfaceIndex"},
    ),

    "nodes" : {
        "dot3" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7",
        }, # node
        "dot3StatsTable" : {
            "nodetype" : "table",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2",
            "status" : "current",
            "description" :
                """Statistics for a collection of ethernet-like
interfaces attached to a particular system.
There will be one row in this table for each
ethernet-like interface in the system.""",
        }, # table
        "dot3StatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1",
            "status" : "current",
            "linkage" : [
                "dot3StatsIndex",
            ],
            "description" :
                """Statistics for a particular interface to an
ethernet-like medium.""",
        }, # row
        "dot3StatsIndex" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readonly",
            "description" :
                """An index value that uniquely identifies an
interface to an ethernet-like medium.  The
interface identified by a particular value of
this index is the same interface as identified
by the same value of ifIndex.""",
            "reference>" :
                """RFC 2863, ifIndex""",
        }, # column
        "dot3StatsAlignmentErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that are not an integral number of
octets in length and do not pass the FCS check.

The count represented by an instance of this
object is incremented when the alignmentError
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according

to the error status presented to the LLC.

This counter does not increment for group
encoding schemes greater than 4 bits per group.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsAlignmentErrors object for 10 Gb/s
or faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.7,
aAlignmentErrors""",
        }, # column
        "dot3StatsFCSErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that are an integral number of octets
in length but do not pass the FCS check.  This
count does not include frames received with
frame-too-long or frame-too-short error.

The count represented by an instance of this
object is incremented when the frameCheckError
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according
to the error status presented to the LLC.

Note:  Coding errors detected by the physical
layer for speeds above 10 Mb/s will cause the
frame to fail the FCS check.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if

it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsFCSErrors object for 10 Gb/s or
faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.6,
aFrameCheckSequenceErrors.""",
        }, # column
        "dot3StatsSingleCollisionFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames that are involved in a single
collision, and are subsequently transmitted
successfully.

A frame that is counted by an instance of this
object is also counted by the corresponding
instance of either the ifOutUcastPkts,
ifOutMulticastPkts, or ifOutBroadcastPkts,
and is not counted by the corresponding
instance of the dot3StatsMultipleCollisionFrames
object.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.3,
aSingleCollisionFrames.""",
        }, # column
        "dot3StatsMultipleCollisionFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames that are involved in more

than one collision and are subsequently
transmitted successfully.

A frame that is counted by an instance of this
object is also counted by the corresponding
instance of either the ifOutUcastPkts,
ifOutMulticastPkts, or ifOutBroadcastPkts,
and is not counted by the corresponding
instance of the dot3StatsSingleCollisionFrames
object.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.4,
aMultipleCollisionFrames.""",
        }, # column
        "dot3StatsSQETestErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of times that the SQE TEST ERROR
is received on a particular interface. The
SQE TEST ERROR is set in accordance with the
rules for verification of the SQE detection
mechanism in the PLS Carrier Sense Function as
described in IEEE Std. 802.3, 2000 Edition,
section 7.2.4.6.

This counter does not increment on interfaces
operating at speeds greater than 10 Mb/s, or on
interfaces operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 7.2.4.6, also 30.3.2.1.4,
aSQETestErrors.""",
        }, # column
        "dot3StatsDeferredTransmissions" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which the first
transmission attempt on a particular interface
is delayed because the medium is busy.

The count represented by an instance of this
object does not include frames involved in
collisions.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.9,
aFramesWithDeferredXmissions.""",
        }, # column
        "dot3StatsLateCollisions" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times that a collision is
detected on a particular interface later than
one slotTime into the transmission of a packet.

A (late) collision included in a count
represented by an instance of this object is
also considered as a (generic) collision for
purposes of other collision-related
statistics.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.10,
aLateCollisions.""",
        }, # column
        "dot3StatsExcessiveCollisions" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which transmission on a
particular interface fails due to excessive
collisions.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.11,
aFramesAbortedDueToXSColls.""",
        }, # column
        "dot3StatsInternalMacTransmitErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which transmission on a
particular interface fails due to an internal
MAC sublayer transmit error. A frame is only
counted by an instance of this object if it is
not counted by the corresponding instance of
either the dot3StatsLateCollisions object, the
dot3StatsExcessiveCollisions object, or the
dot3StatsCarrierSenseErrors object.

The precise meaning of the count represented by
an instance of this object is implementation-
specific.  In particular, an instance of this
object may represent a count of transmission
errors on a particular interface that are not
otherwise counted.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsInternalMacTransmitErrors object for
10 Gb/s or faster interfaces.

Discontinuities in the value of this counter can

occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.12,
aFramesLostDueToIntMACXmitError.""",
        }, # column
        "dot3StatsCarrierSenseErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times that the carrier sense
condition was lost or never asserted when
attempting to transmit a frame on a particular
interface.

The count represented by an instance of this
object is incremented at most once per
transmission attempt, even if the carrier sense
condition fluctuates during a transmission
attempt.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.13,
aCarrierSenseErrors.""",
        }, # column
        "dot3StatsFrameTooLongs" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that exceed the maximum permitted
frame size.

The count represented by an instance of this
object is incremented when the frameTooLong
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according
to the error status presented to the LLC.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 80 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsFrameTooLongs object for 10 Gb/s
or faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.25,
aFrameTooLongErrors.""",
        }, # column
        "dot3StatsInternalMacReceiveErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which reception on a
particular interface fails due to an internal
MAC sublayer receive error. A frame is only
counted by an instance of this object if it is
not counted by the corresponding instance of
either the dot3StatsFrameTooLongs object, the
dot3StatsAlignmentErrors object, or the
dot3StatsFCSErrors object.

The precise meaning of the count represented by
an instance of this object is implementation-
specific.  In particular, an instance of this
object may represent a count of receive errors
on a particular interface that are not
otherwise counted.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if

it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsInternalMacReceiveErrors object for
10 Gb/s or faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.15,
aFramesLostDueToIntMACRcvError.""",
        }, # column
        "dot3StatsEtherChipSet" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.17",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "readonly",
            "description" :
                """******** THIS OBJECT IS DEPRECATED ********

This object contains an OBJECT IDENTIFIER
which identifies the chipset used to
realize the interface. Ethernet-like
interfaces are typically built out of
several different chips. The MIB implementor
is presented with a decision of which chip
to identify via this object. The implementor
should identify the chip which is usually
called the Medium Access Control chip.
If no such chip is easily identifiable,
the implementor should identify the chip
which actually gathers the transmit
and receive statistics and error
indications. This would allow a
manager station to correlate the
statistics and the chip generating
them, giving it the ability to take
into account any known anomalies
in the chip.

This object has been deprecated.  Implementation
feedback indicates that it is of limited use for
debugging network problems in the field, and
the administrative overhead involved in
maintaining a registry of chipset OIDs is not
justified.""",
        }, # column
        "dot3StatsSymbolErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """For an interface operating at 100 Mb/s, the
number of times there was an invalid data symbol
when a valid carrier was present.

For an interface operating in half-duplex mode
at 1000 Mb/s, the number of times the receiving
media is non-idle (a carrier event) for a period
of time equal to or greater than slotTime, and
during which there was at least one occurrence
of an event that causes the PHY to indicate
'Data reception error' or 'carrier extend error'
on the GMII.

For an interface operating in full-duplex mode
at 1000 Mb/s, the number of times the receiving
media is non-idle (a carrier event) for a period
of time equal to or greater than minFrameSize,
and during which there was at least one
occurrence of an event that causes the PHY to
indicate 'Data reception error' on the GMII.

For an interface operating at 10 Gb/s, the
number of times the receiving media is non-idle
(a carrier event) for a period of time equal to
or greater than minFrameSize, and during which
there was at least one occurrence of an event
that causes the PHY to indicate 'Receive Error'
on the XGMII.

The count represented by an instance of this
object is incremented at most once per carrier
event, even if multiple symbol errors occur
during the carrier event.  This count does
not increment if a collision is present.

This counter does not increment when the
interface is operating at 10 Mb/s.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a

management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCStatsSymbolErrors object for 10 Gb/s
or faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.2.1.5,
aSymbolErrorDuringCarrier.""",
        }, # column
        "dot3StatsDuplexStatus" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.19",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "halfDuplex" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "fullDuplex" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current mode of operation of the MAC
entity.  'unknown' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.32,
aDuplexStatus.""",
        }, # column
        "dot3StatsRateControlAbility" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """'true' for interfaces operating at speeds above
1000 Mb/s that support Rate Control through
lowering the average data rate of the MAC
sublayer, with frame granularity, and 'false'
otherwise.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.33,
aRateControlAbility.""",
        }, # column
        "dot3StatsRateControlStatus" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.2.1.21",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "rateControlOff" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "rateControlOn" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current Rate Control mode of operation of
the MAC sublayer of this interface.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.34,
aRateControlStatus.""",
        }, # column
        "dot3CollTable" : {
            "nodetype" : "table",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.5",
            "status" : "current",
            "description" :
                """A collection of collision histograms for a
particular set of interfaces.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.30,
aCollisionFrames.""",
        }, # table
        "dot3CollEntry" : {
            "nodetype" : "row",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.5.1",
            "status" : "current",
            "linkage" : [
                "ifIndex",
                "dot3CollCount",
            ],
            "description" :
                """A cell in the histogram of per-frame
collisions for a particular interface.  An

instance of this object represents the
frequency of individual MAC frames for which
the transmission (successful or otherwise) on a
particular interface is accompanied by a
particular number of media collisions.""",
        }, # row
        "dot3CollCount" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The number of per-frame media collisions for
which a particular collision histogram cell
represents the frequency on a particular
interface.""",
        }, # column
        "dot3CollFrequencies" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of individual MAC frames for which the
transmission (successful or otherwise) on a
particular interface occurs after the
frame has experienced exactly the number
of collisions in the associated
dot3CollCount object.

For example, a frame which is transmitted
on interface 77 after experiencing
exactly 4 collisions would be indicated
by incrementing only dot3CollFrequencies.77.4.
No other instance of dot3CollFrequencies would
be incremented in this example.

This counter does not increment when the
interface is operating in full-duplex mode.

Discontinuities in the value of this counter can

occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
        }, # column
        "dot3Tests" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.6",
        }, # node
        "dot3TestTdr" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.6.1",
            "status" : "deprecated",
            "description" :
                """******** THIS IDENTITY IS DEPRECATED *******

The Time-Domain Reflectometry (TDR) test is
specific to ethernet-like interfaces of type
10Base5 and 10Base2.  The TDR value may be
useful in determining the approximate distance
to a cable fault.  It is advisable to repeat
this test to check for a consistent resulting
TDR value, to verify that there is a fault.

A TDR test returns as its result the time
interval, measured in 10 MHz ticks or 100 nsec
units, between the start of TDR test
transmission and the subsequent detection of a
collision or deassertion of carrier.  On
successful completion of a TDR test, the result
is stored as the value of an appropriate
instance of an appropriate vendor specific MIB
object, and the OBJECT IDENTIFIER of that
instance is stored in the appropriate instance
of the appropriate test result code object
(thereby indicating where the result has been
stored).

This object identity has been deprecated, since
the ifTestTable in the IF-MIB was deprecated,
and there is no longer a standard mechanism for
initiating an interface test.  This left no
standard way of using this object identity.""",
        }, # node
        "dot3TestLoopBack" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.6.2",
            "status" : "deprecated",
            "description" :
                """******** THIS IDENTITY IS DEPRECATED *******

This test configures the MAC chip and executes
an internal loopback test of memory, data paths,
and the MAC chip logic.  This loopback test can
only be executed if the interface is offline.
Once the test has completed, the MAC chip should

be reinitialized for network operation, but it
should remain offline.

If an error occurs during a test, the
appropriate test result object will be set
to indicate a failure.  The two OBJECT
IDENTIFIER values dot3ErrorInitError and
dot3ErrorLoopbackError may be used to provided
more information as values for an appropriate
test result code object.

This object identity has been deprecated, since
the ifTestTable in the IF-MIB was deprecated,
and there is no longer a standard mechanism for
initiating an interface test.  This left no
standard way of using this object identity.""",
        }, # node
        "dot3Errors" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.7",
        }, # node
        "dot3ErrorInitError" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.7.1",
            "status" : "deprecated",
            "description" :
                """******** THIS IDENTITY IS DEPRECATED *******

Couldn't initialize MAC chip for test.

This object identity has been deprecated, since
the ifTestTable in the IF-MIB was deprecated,
and there is no longer a standard mechanism for
initiating an interface test.  This left no
standard way of using this object identity.""",
        }, # node
        "dot3ErrorLoopbackError" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.7.2",
            "status" : "deprecated",
            "description" :
                """******** THIS IDENTITY IS DEPRECATED *******

Expected data not received (or not received
correctly) in loopback test.

This object identity has been deprecated, since
the ifTestTable in the IF-MIB was deprecated,
and there is no longer a standard mechanism for
initiating an interface test.  This left no
standard way of using this object identity.""",
        }, # node
        "dot3ControlTable" : {
            "nodetype" : "table",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.9",
            "status" : "current",
            "description" :
                """A table of descriptive and status information
about the MAC Control sublayer on the
ethernet-like interfaces attached to a
particular system.  There will be one row in
this table for each ethernet-like interface in
the system which implements the MAC Control
sublayer.  If some, but not all, of the
ethernet-like interfaces in the system implement
the MAC Control sublayer, there will be fewer
rows in this table than in the dot3StatsTable.""",
        }, # table
        "dot3ControlEntry" : {
            "nodetype" : "row",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.9.1",
            "status" : "current",
            "linkage" : [
                "dot3StatsIndex",
            ],
            "description" :
                """An entry in the table, containing information
about the MAC Control sublayer on a single
ethernet-like interface.""",
        }, # row
        "dot3ControlFunctionsSupported" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.9.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Bits",
                    "pause" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """A list of the possible MAC Control functions
implemented for this interface.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.3.2,
aMACControlFunctionsSupported.""",
        }, # column
        "dot3ControlInUnknownOpcodes" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.9.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames received on this
interface that contain an opcode that is not
supported by this device.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCControlInUnknownOpcodes object for 10 Gb/s
or faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.3.5,
aUnsupportedOpcodesReceived""",
        }, # column
        "dot3HCControlInUnknownOpcodes" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.9.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames received on this
interface that contain an opcode that is not
supported by this device.

This counter is a 64 bit version of
dot3ControlInUnknownOpcodes.  It should be used
on interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.3.5,
aUnsupportedOpcodesReceived""",
        }, # column
        "dot3PauseTable" : {
            "nodetype" : "table",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10",
            "status" : "current",
            "description" :
                """A table of descriptive and status information
about the MAC Control PAUSE function on the
ethernet-like interfaces attached to a
particular system. There will be one row in
this table for each ethernet-like interface in
the system which supports the MAC Control PAUSE
function (i.e., the 'pause' bit in the
corresponding instance of
dot3ControlFunctionsSupported is set).  If some,
but not all, of the ethernet-like interfaces in
the system implement the MAC Control PAUSE
function (for example, if some interfaces only
support half-duplex), there will be fewer rows
in this table than in the dot3StatsTable.""",
        }, # table
        "dot3PauseEntry" : {
            "nodetype" : "row",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1",
            "status" : "current",
            "linkage" : [
                "dot3StatsIndex",
            ],
            "description" :
                """An entry in the table, containing information
about the MAC Control PAUSE function on a single
ethernet-like interface.""",
        }, # row
        "dot3PauseAdminMode" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "disabled" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "enabledXmit" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "enabledRcv" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "enabledXmitAndRcv" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """This object is used to configure the default
administrative PAUSE mode for this interface.

This object represents the
administratively-configured PAUSE mode for this
interface.  If auto-negotiation is not enabled
or is not implemented for the active MAU
attached to this interface, the value of this
object determines the operational PAUSE mode
of the interface whenever it is operating in
full-duplex mode.  In this case, a set to this
object will force the interface into the
specified mode.

If auto-negotiation is implemented and enabled
for the MAU attached to this interface, the
PAUSE mode for this interface is determined by
auto-negotiation, and the value of this object
denotes the mode to which the interface will
automatically revert if/when auto-negotiation is
later disabled.  Note that when auto-negotiation
is running, administrative control of the PAUSE
mode may be accomplished using the
ifMauAutoNegCapAdvertisedBits object in the
MAU-MIB.

Note that the value of this object is ignored
when the interface is not operating in
full-duplex mode.

An attempt to set this object to
'enabledXmit(2)' or 'enabledRcv(3)' will fail
on interfaces that do not support operation
at greater than 100 Mb/s.""",
        }, # column
        "dot3PauseOperMode" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "disabled" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "enabledXmit" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "enabledRcv" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "enabledXmitAndRcv" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object reflects the PAUSE mode currently

in use on this interface, as determined by
either (1) the result of the auto-negotiation
function or (2) if auto-negotiation is not
enabled or is not implemented for the active MAU
attached to this interface, by the value of
dot3PauseAdminMode.  Interfaces operating at
100 Mb/s or less will never return
'enabledXmit(2)' or 'enabledRcv(3)'.  Interfaces
operating in half-duplex mode will always return
'disabled(1)'.  Interfaces on which
auto-negotiation is enabled but not yet
completed should return the value
'disabled(1)'.""",
        }, # column
        "dot3InPauseFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames received on this
interface with an opcode indicating the PAUSE
operation.

This counter does not increment when the
interface is operating in half-duplex mode.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCInPauseFrames object for 10 Gb/s or
faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.4.3,
aPAUSEMACCtrlFramesReceived.""",
        }, # column
        "dot3OutPauseFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames transmitted on
this interface with an opcode indicating the
PAUSE operation.

This counter does not increment when the
interface is operating in half-duplex mode.

For interfaces operating at 10 Gb/s, this
counter can roll over in less than 5 minutes if
it is incrementing at its maximum rate.  Since
that amount of time could be less than a
management station's poll cycle time, in order
to avoid a loss of information, a management
station is advised to poll the
dot3HCOutPauseFrames object for 10 Gb/s or
faster interfaces.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.4.2,
aPAUSEMACCtrlFramesTransmitted.""",
        }, # column
        "dot3HCInPauseFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames received on this
interface with an opcode indicating the PAUSE
operation.

This counter does not increment when the
interface is operating in half-duplex mode.

This counter is a 64 bit version of
dot3InPauseFrames.  It should be used on
interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.4.3,
aPAUSEMACCtrlFramesReceived.""",
        }, # column
        "dot3HCOutPauseFrames" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.10.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of MAC Control frames transmitted on
this interface with an opcode indicating the
PAUSE operation.

This counter does not increment when the
interface is operating in half-duplex mode.

This counter is a 64 bit version of
dot3OutPauseFrames.  It should be used on
interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.4.2,
aPAUSEMACCtrlFramesTransmitted.""",
        }, # column
        "dot3HCStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11",
            "status" : "current",
            "description" :
                """A table containing 64-bit versions of error
counters from the dot3StatsTable.  The 32-bit
versions of these counters may roll over quite
quickly on higher speed ethernet interfaces.
The counters that have 64-bit versions in this
table are the counters that apply to full-duplex
interfaces, since 10 Gb/s and faster
ethernet-like interfaces do not support
half-duplex, and very few 1000 Mb/s
ethernet-like interfaces support half-duplex.

Entries in this table are recommended for
interfaces capable of operating at 1000 Mb/s or
faster, and are required for interfaces capable
of operating at 10 Gb/s or faster.  Lower speed
ethernet-like interfaces do not need entries in
this table, in which case there may be fewer
entries in this table than in the
dot3StatsTable. However, implementations
containing interfaces with a mix of speeds may
choose to implement entries in this table for

all ethernet-like interfaces.""",
        }, # table
        "dot3HCStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1",
            "status" : "current",
            "linkage" : [
                "dot3StatsIndex",
            ],
            "description" :
                """An entry containing 64-bit statistics for a
single ethernet-like interface.""",
        }, # row
        "dot3HCStatsAlignmentErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that are not an integral number of
octets in length and do not pass the FCS check.

The count represented by an instance of this
object is incremented when the alignmentError
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according
to the error status presented to the LLC.

This counter does not increment for group
encoding schemes greater than 4 bits per group.

This counter is a 64 bit version of
dot3StatsAlignmentErrors.  It should be used
on interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management

system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.7,
aAlignmentErrors""",
        }, # column
        "dot3HCStatsFCSErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that are an integral number of octets
in length but do not pass the FCS check.  This
count does not include frames received with
frame-too-long or frame-too-short error.

The count represented by an instance of this
object is incremented when the frameCheckError
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according
to the error status presented to the LLC.

Note:  Coding errors detected by the physical
layer for speeds above 10 Mb/s will cause the
frame to fail the FCS check.

This counter is a 64 bit version of
dot3StatsFCSErrors.  It should be used on
interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.6,
aFrameCheckSequenceErrors.""",
        }, # column
        "dot3HCStatsInternalMacTransmitErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which transmission on a
particular interface fails due to an internal
MAC sublayer transmit error. A frame is only

counted by an instance of this object if it is
not counted by the corresponding instance of
either the dot3StatsLateCollisions object, the
dot3StatsExcessiveCollisions object, or the
dot3StatsCarrierSenseErrors object.

The precise meaning of the count represented by
an instance of this object is implementation-
specific.  In particular, an instance of this
object may represent a count of transmission
errors on a particular interface that are not
otherwise counted.

This counter is a 64 bit version of
dot3StatsInternalMacTransmitErrors.  It should
be used on interfaces operating at 10 Gb/s or
faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.12,
aFramesLostDueToIntMACXmitError.""",
        }, # column
        "dot3HCStatsFrameTooLongs" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames received on a particular
interface that exceed the maximum permitted
frame size.

The count represented by an instance of this
object is incremented when the frameTooLong
status is returned by the MAC service to the
LLC (or other MAC user). Received frames for
which multiple error conditions pertain are,
according to the conventions of IEEE 802.3
Layer Management, counted exclusively according
to the error status presented to the LLC.

This counter is a 64 bit version of
dot3StatsFrameTooLongs.  It should be used on
interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can

occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.25,
aFrameTooLongErrors.""",
        }, # column
        "dot3HCStatsInternalMacReceiveErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """A count of frames for which reception on a
particular interface fails due to an internal
MAC sublayer receive error. A frame is only
counted by an instance of this object if it is
not counted by the corresponding instance of
either the dot3StatsFrameTooLongs object, the
dot3StatsAlignmentErrors object, or the
dot3StatsFCSErrors object.

The precise meaning of the count represented by
an instance of this object is implementation-
specific.  In particular, an instance of this
object may represent a count of receive errors
on a particular interface that are not
otherwise counted.

This counter is a 64 bit version of
dot3StatsInternalMacReceiveErrors.  It should be
used on interfaces operating at 10 Gb/s or
faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.1.1.15,
aFramesLostDueToIntMACRcvError.""",
        }, # column
        "dot3HCStatsSymbolErrors" : {
            "nodetype" : "column",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.10.7.11.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """For an interface operating at 100 Mb/s, the
number of times there was an invalid data symbol
when a valid carrier was present.

For an interface operating in half-duplex mode
at 1000 Mb/s, the number of times the receiving
media is non-idle (a carrier event) for a period
of time equal to or greater than slotTime, and
during which there was at least one occurrence
of an event that causes the PHY to indicate
'Data reception error' or 'carrier extend error'
on the GMII.

For an interface operating in full-duplex mode
at 1000 Mb/s, the number of times the receiving
media is non-idle (a carrier event) for a period
of time equal to or greater than minFrameSize,
and during which there was at least one
occurrence of an event that causes the PHY to
indicate 'Data reception error' on the GMII.

For an interface operating at 10 Gb/s, the
number of times the receiving media is non-idle
(a carrier event) for a period of time equal to
or greater than minFrameSize, and during which
there was at least one occurrence of an event
that causes the PHY to indicate 'Receive Error'
on the XGMII.

The count represented by an instance of this
object is incremented at most once per carrier
event, even if multiple symbol errors occur
during the carrier event.  This count does
not increment if a collision is present.

This counter is a 64 bit version of
dot3StatsSymbolErrors.  It should be used on
interfaces operating at 10 Gb/s or faster.

Discontinuities in the value of this counter can
occur at re-initialization of the management
system, and at other times as indicated by the
value of ifCounterDiscontinuityTime.""",
            "reference>" :
                """[IEEE 802.3 Std.], 30.3.2.1.5,
aSymbolErrorDuringCarrier.""",
        }, # column
        "etherMIB" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35",
            "status" : "current",
        }, # node
        "etherMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.1",
        }, # node
        "etherConformance" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2",
        }, # node
        "etherGroups" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1",
        }, # node
        "etherCompliances" : {
            "nodetype" : "node",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "etherStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.1",
            "status" : "deprecated",
            "members" : {
                "dot3StatsIndex" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsAlignmentErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFCSErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsSingleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsMultipleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsSQETestErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsDeferredTransmissions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsLateCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsExcessiveCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacTransmitErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsCarrierSenseErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFrameTooLongs" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacReceiveErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsEtherChipSet" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """********* THIS GROUP IS DEPRECATED **********

A collection of objects providing information
applicable to all ethernet-like network
interfaces.

This object group has been deprecated and
replaced by etherStatsBaseGroup and
etherStatsLowSpeedGroup.""",
        }, # group
        "etherCollisionTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.2",
            "status" : "current",
            "members" : {
                "dot3CollFrequencies" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing a histogram
of packets successfully transmitted after
experiencing exactly N collisions.""",
        }, # group
        "etherStats100MbsGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.3",
            "status" : "deprecated",
            "members" : {
                "dot3StatsIndex" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsAlignmentErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFCSErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsSingleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsMultipleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsDeferredTransmissions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsLateCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsExcessiveCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacTransmitErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsCarrierSenseErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFrameTooLongs" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacReceiveErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsEtherChipSet" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsSymbolErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """********* THIS GROUP IS DEPRECATED **********

A collection of objects providing information
applicable to 100 Mb/sec ethernet-like network
interfaces.

This object group has been deprecated and
replaced by etherStatsBaseGroup and
etherStatsHighSpeedGroup.""",
        }, # group
        "etherStatsBaseGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.4",
            "status" : "deprecated",
            "members" : {
                "dot3StatsIndex" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsAlignmentErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFCSErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsSingleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsMultipleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsDeferredTransmissions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsLateCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsExcessiveCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacTransmitErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsCarrierSenseErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFrameTooLongs" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacReceiveErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """********* THIS GROUP IS DEPRECATED **********

A collection of objects providing information
applicable to all ethernet-like network
interfaces.

This object group has been deprecated and
replaced by etherStatsBaseGroup2 and
etherStatsHalfDuplexGroup, to separate
objects which must be implemented by all
ethernet-like network interfaces from
objects that need only be implemented on
ethernet-like network interfaces that are
capable of half-duplex operation.""",
        }, # group
        "etherStatsLowSpeedGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.5",
            "status" : "current",
            "members" : {
                "dot3StatsSQETestErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information

applicable to ethernet-like network interfaces
capable of operating at 10 Mb/s or slower in
half-duplex mode.""",
        }, # group
        "etherStatsHighSpeedGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.6",
            "status" : "current",
            "members" : {
                "dot3StatsSymbolErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
applicable to ethernet-like network interfaces
capable of operating at 100 Mb/s or faster.""",
        }, # group
        "etherDuplexGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.7",
            "status" : "current",
            "members" : {
                "dot3StatsDuplexStatus" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
about the duplex mode of an ethernet-like
network interface.""",
        }, # group
        "etherControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.8",
            "status" : "current",
            "members" : {
                "dot3ControlFunctionsSupported" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3ControlInUnknownOpcodes" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
about the MAC Control sublayer on ethernet-like
network interfaces.""",
        }, # group
        "etherControlPauseGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.9",
            "status" : "current",
            "members" : {
                "dot3PauseAdminMode" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3PauseOperMode" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3InPauseFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3OutPauseFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
about and control of the MAC Control PAUSE
function on ethernet-like network interfaces.""",
        }, # group
        "etherStatsBaseGroup2" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.10",
            "status" : "current",
            "members" : {
                "dot3StatsIndex" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsAlignmentErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFCSErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacTransmitErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsFrameTooLongs" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsInternalMacReceiveErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
applicable to all ethernet-like network
interfaces.""",
        }, # group
        "etherStatsHalfDuplexGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.11",
            "status" : "current",
            "members" : {
                "dot3StatsSingleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsMultipleCollisionFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsDeferredTransmissions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsLateCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsExcessiveCollisions" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsCarrierSenseErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
applicable only to half-duplex ethernet-like
network interfaces.""",
        }, # group
        "etherHCStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.12",
            "status" : "current",
            "members" : {
                "dot3HCStatsAlignmentErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCStatsFCSErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCStatsInternalMacTransmitErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCStatsFrameTooLongs" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCStatsInternalMacReceiveErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCStatsSymbolErrors" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing high-capacity
statistics applicable to higher-speed
ethernet-like network interfaces.""",
        }, # group
        "etherHCControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.13",
            "status" : "current",
            "members" : {
                "dot3HCControlInUnknownOpcodes" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing high-capacity
statistics for the MAC Control sublayer on
higher-speed ethernet-like network interfaces.""",
        }, # group
        "etherHCControlPauseGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.14",
            "status" : "current",
            "members" : {
                "dot3HCInPauseFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3HCOutPauseFrames" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing high-capacity
statistics for the MAC Control PAUSE function on
higher-speed ethernet-like network interfaces.""",
        }, # group
        "etherRateControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.1.15",
            "status" : "current",
            "members" : {
                "dot3StatsRateControlAbility" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
                "dot3StatsRateControlStatus" : {
                    "nodetype" : "member",
                    "module" : "EtherLike-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
about the Rate Control function on ethernet-like
interfaces.""",
        }, # group
    }, # groups

    "compliances" : {
        "etherCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.2.1",
            "status" : "deprecated",
            "description" :
                """******** THIS COMPLIANCE IS DEPRECATED ********

The compliance statement for managed network
entities which have ethernet-like network
interfaces.

This compliance is deprecated and replaced by
dot3Compliance.""",
            "requires" : {
                "etherStatsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "EtherLike-MIB"
                },
                "etherCollisionTableGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is optional. It is appropriate
for all systems which have the necessary
metering. Implementation in such systems is
highly recommended.""",
                },
            }, # requires
        }, # compliance
        "ether100MbsCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.2.2",
            "status" : "deprecated",
            "description" :
                """******** THIS COMPLIANCE IS DEPRECATED ********

The compliance statement for managed network
entities which have 100 Mb/sec ethernet-like
network interfaces.

This compliance is deprecated and replaced by
dot3Compliance.""",
            "requires" : {
                "etherStats100MbsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "EtherLike-MIB"
                },
                "etherCollisionTableGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is optional. It is appropriate
for all systems which have the necessary
metering. Implementation in such systems is
highly recommended.""",
                },
            }, # requires
        }, # compliance
        "dot3Compliance" : {
            "nodetype" : "compliance",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.2.3",
            "status" : "deprecated",
            "description" :
                """******** THIS COMPLIANCE IS DEPRECATED ********

The compliance statement for managed network
entities which have ethernet-like network
interfaces.

This compliance is deprecated and replaced by
dot3Compliance2.""",
            "requires" : {
                "etherStatsBaseGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "EtherLike-MIB"
                },
                "etherDuplexGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating in full-duplex mode.
It is highly recommended for all
ethernet-like network interfaces.""",
                },
                "etherStatsLowSpeedGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at 10 Mb/s or slower in
half-duplex mode.""",
                },
                "etherStatsHighSpeedGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at 100 Mb/s or faster.""",
                },
                "etherControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control sublayer.""",
                },
                "etherControlPauseGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control PAUSE function.""",
                },
                "etherCollisionTableGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is optional. It is appropriate
for all ethernet-like network interfaces
which are capable of operating in
half-duplex mode and have the necessary
metering. Implementation in systems with

such interfaces is highly recommended.""",
                },
            }, # requires
        }, # compliance
        "dot3Compliance2" : {
            "nodetype" : "compliance",
            "moduleName" : "EtherLike-MIB",
            "oid" : "1.3.6.1.2.1.35.2.2.4",
            "status" : "current",
            "description" :
                """The compliance statement for managed network
entities which have ethernet-like network
interfaces.

Note that compliance with this MIB module
requires compliance with the ifCompliance3
MODULE-COMPLIANCE statement of the IF-MIB
(RFC2863).  In addition, compliance with this
MIB module requires compliance  with the
mauModIfCompl3 MODULE-COMPLIANCE statement of
the MAU-MIB (RFC3636).""",
            "requires" : {
                "etherStatsBaseGroup2" : {
                    "nodetype" : "mandatory",
                    "module" : "EtherLike-MIB"
                },
                "etherDuplexGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating in full-duplex mode.
It is highly recommended for all
ethernet-like network interfaces.""",
                },
                "etherRateControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at speeds faster than
1000 Mb/s. It is highly recommended for all
ethernet-like network interfaces.""",
                },
                "etherStatsLowSpeedGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at 10 Mb/s or slower in
half-duplex mode.""",
                },
                "etherStatsHighSpeedGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at 100 Mb/s or faster.""",
                },
                "etherStatsHalfDuplexGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are

capable of operating in half-duplex mode.""",
                },
                "etherHCStatsGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces which are
capable of operating at 10 Gb/s or faster.
It is recommended for all ethernet-like
network interfaces which are capable of
operating at 1000 Mb/s or faster.""",
                },
                "etherControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control sublayer.""",
                },
                "etherHCControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control sublayer and are
capable of operating at 10 Gb/s or faster.""",
                },
                "etherControlPauseGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control PAUSE function.""",
                },
                "etherHCControlPauseGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is mandatory for all
ethernet-like network interfaces that
support the MAC Control PAUSE function and
are capable of operating at 10 Gb/s or
faster.""",
                },
                "etherCollisionTableGroup" : {
                    "nodetype" : "optional",
                    "module" : "EtherLike-MIB",
                    "description" :
                        """This group is optional. It is appropriate
for all ethernet-like network interfaces
which are capable of operating in
half-duplex mode and have the necessary
metering. Implementation in systems with
such interfaces is highly recommended.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
