# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python Q-BRIDGE-MIB

FILENAME = "/home/klette/mibs/v2/Q-BRIDGE.my"

MIB = {
    "moduleName" : "Q-BRIDGE-MIB",

    "Q-BRIDGE-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF Bridge MIB Working Group""",
        "contact" : 
            """       Les Bell
Postal: 3Com Europe Ltd.
        3Com Centre, Boundary Way
        Hemel Hempstead, Herts. HP2 7YU
        UK
 Phone: +44 1442 438025
 Email: Les_Bell@3Com.com

        Andrew Smith
Postal: Extreme Networks
        3585 Monroe St.
        Santa Clara CA 95051
        USA
 Phone: +1 408 579 2821
 Email: andrew@extremenetworks.com

        Paul Langille
Postal: Newbridge Networks
        5 Corporate Drive
        Andover, MA 01810
        USA
 Phone: +1 978 691 4665
 Email: langille@newbridge.com

        Anil Rijhsinghani
Postal: Cabletron Systems
        50 Minuteman Road
        Andover, MA 01810
        USA
 Phone: +1 978 684 1295
 Email: anil@cabletron.com

        Keith McCloghrie
Postal: cisco Systems, Inc.
        170 West Tasman Drive
        San Jose, CA 95134-1706
        USA
 Phone: +1 408 526 5260
 Email: kzm@cisco.com""",
        "description" :
            """The VLAN Bridge MIB module for managing Virtual Bridged
Local Area Networks, as defined by IEEE 802.1Q-1998.""",
        "revisions" : (
            {
                "date" : "1999-08-25 00:00",
                "description" :
                    """Initial version, published as RFC 2674.""",
            },
        ),
        "identity node" : "qBridgeMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter64"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "TimeTicks"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "MacAddress"},
        {"module" : "SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "BRIDGE-MIB", "name" : "dot1dBridge"},
        {"module" : "BRIDGE-MIB", "name" : "dot1dBasePortEntry"},
        {"module" : "BRIDGE-MIB", "name" : "dot1dBasePort"},
        {"module" : "P-BRIDGE-MIB", "name" : "EnabledStatus"},
        {"module" : "RMON2-MIB", "name" : "TimeFilter"},
    ),

    "typedefs" : {
        "PortList" : {
            "basetype" : "OctetString",
            "status" : "current",
            "description" :
                """Each octet within this value specifies a set of eight
ports, with the first octet specifying ports 1 through
8, the second octet specifying ports 9 through 16, etc.
Within each octet, the most significant bit represents
the lowest numbered port, and the least significant bit
represents the highest numbered port.  Thus, each port
of the bridge is represented by a single bit within the
value of this object.  If that bit has a value of '1'
then that port is included in the set of ports; the port
is not included if its bit has a value of '0'.""",
        },
        "VlanIndex" : {
            "basetype" : "Unsigned32",
            "status" : "current",
            "description" :
                """A value used to index per-VLAN tables: values of 0 and
4095 are not permitted; if the value is between 1 and
4094 inclusive, it represents an IEEE 802.1Q VLAN-ID with
global scope within a given bridged domain (see VlanId
textual convention).  If the value is greater than 4095
then it represents a VLAN with scope local to the
particular agent, i.e. one without a global VLAN-ID
assigned to it. Such VLANs are outside the scope of
IEEE 802.1Q but it is convenient to be able to manage them
in the same way using this MIB.""",
        },
        "VlanId" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "1",
                "max" : "4094"
            },
            ],
            "range" : {
                "min" : "1",
                "max" : "4094"
            },
            "description" :
                """A 12-bit VLAN ID used in the VLAN Tag header.""",
        },
    }, # typedefs

    "nodes" : {
        "qBridgeMIB" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7",
            "status" : "current",
        }, # node
        "qBridgeMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1",
        }, # node
        "dot1qBase" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1",
        }, # node
        "dot1qVlanVersionNumber" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "version1" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The version number of IEEE 802.1Q that this device
supports.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.1.1""",
        }, # scalar
        "dot1qMaxVlanId" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "VlanId"},
            },
            "access" : "readonly",
            "description" :
                """The maximum IEEE 802.1Q VLAN ID that this device
supports.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 9.3.2.3""",
        }, # scalar
        "dot1qMaxSupportedVlans" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The maximum number of IEEE 802.1Q VLANs that this
device supports.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.1.1""",
        }, # scalar
        "dot1qNumVlans" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The current number of IEEE 802.1Q VLANs that are
configured in this device.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.1.1""",
        }, # scalar
        "dot1qGvrpStatus" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"P-BRIDGE-MIB", "name" : "EnabledStatus"},
            },
            "access" : "readwrite",
            "default" : "enabled",
            "description" :
                """The administrative status requested by management for
GVRP.  The value enabled(1) indicates that GVRP should
be enabled on this device, on all ports for which it has
not been specifically disabled.  When disabled(2), GVRP
is disabled on all ports and all GVRP packets will be
forwarded transparently.  This object affects all GVRP
Applicant and Registrar state machines.  A transition
from disabled(2) to enabled(1) will cause a reset of all
GVRP state machines on all ports.""",
        }, # scalar
        "dot1qTp" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2",
        }, # node
        "dot1qFdbTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.1",
            "status" : "current",
            "description" :
                """A table that contains configuration and control
information for each Filtering Database currently
operating on this device.  Entries in this table appear
automatically when VLANs are assigned FDB IDs in the
dot1qVlanCurrentTable.""",
        }, # table
        "dot1qFdbEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "dot1qFdbId",
            ],
            "description" :
                """Information about a specific Filtering Database.""",
        }, # row
        "dot1qFdbId" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """The identity of this Filtering Database.""",
        }, # column
        "dot1qFdbDynamicCount" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The current number of dynamic entries in this
Filtering Database.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.1.1.3""",
        }, # column
        "dot1qTpFdbTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.2",
            "status" : "current",
            "description" :
                """A table that contains information about unicast entries
for which the device has forwarding and/or filtering
information.  This information is used by the
transparent bridging function in determining how to
propagate a received frame.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.7""",
        }, # table
        "dot1qTpFdbEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.2.1",
            "status" : "current",
            "linkage" : [
                "dot1qFdbId",
                "dot1qTpFdbAddress",
            ],
            "description" :
                """Information about a specific unicast MAC address for
which the device has some forwarding and/or filtering
information.""",
        }, # row
        "dot1qTpFdbAddress" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "noaccess",
            "description" :
                """A unicast MAC address for which the device has
forwarding and/or filtering information.""",
        }, # column
        "dot1qTpFdbPort" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Either the value '0', or the port number of the port on
which a frame having a source address equal to the value
of the corresponding instance of dot1qTpFdbAddress has
been seen.  A value of '0' indicates that the port
number has not been learned but that the device does
have some forwarding/filtering information about this
address (e.g. in the dot1qStaticUnicastTable).
Implementors are encouraged to assign the port value to
this object whenever it is learned even for addresses
for which the corresponding value of dot1qTpFdbStatus is
not learned(3).""",
        }, # column
        "dot1qTpFdbStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "learned" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "self" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "mgmt" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The status of this entry.  The meanings of the values
are:
    other(1) - none of the following.  This may include
        the case where some other MIB object (not the
        corresponding instance of dot1qTpFdbPort, nor an
        entry in the dot1qStaticUnicastTable) is being
        used to determine if and how frames addressed to
        the value of the corresponding instance of
        dot1qTpFdbAddress are being forwarded.
    invalid(2) - this entry is no longer valid (e.g., it
        was learned but has since aged out), but has not
        yet been flushed from the table.
    learned(3) - the value of the corresponding instance
        of dot1qTpFdbPort was learned and is being used.





    self(4) - the value of the corresponding instance of
        dot1qTpFdbAddress represents one of the device's
        addresses.  The corresponding instance of
        dot1qTpFdbPort indicates which of the device's
        ports has this address.
    mgmt(5) - the value of the corresponding instance of
        dot1qTpFdbAddress is also the value of an
        existing instance of dot1qStaticAddress.""",
        }, # column
        "dot1qTpGroupTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.3",
            "status" : "current",
            "description" :
                """A table containing filtering information for VLANs
configured into the bridge by (local or network)
management, or learnt dynamically, specifying the set of
ports to which frames received on a VLAN for this FDB
and containing a specific Group destination address are
allowed to be forwarded.""",
        }, # table
        "dot1qTpGroupEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "dot1qVlanIndex",
                "dot1qTpGroupAddress",
            ],
            "description" :
                """Filtering information configured into the bridge by
management, or learnt dynamically, specifying the set of
ports to which frames received on a VLAN and containing
a specific Group destination address, are allowed to be
forwarded.  The subset of these ports learnt dynamically
is also provided.""",
        }, # row
        "dot1qTpGroupAddress" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The destination Group MAC address in a frame to which
this entry's filtering information applies.""",
        }, # column
        "dot1qTpGroupEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The complete set of ports, in this VLAN, to which
frames destined for this Group MAC address are currently
being explicitly forwarded.  This does not include ports
for which this address is only implicitly forwarded, in
the dot1qForwardAllPorts list.""",
        }, # column
        "dot1qTpGroupLearnt" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The subset of ports in dot1qTpGroupEgressPorts which
were learnt by GMRP or some other dynamic mechanism, in
this Filtering database.""",
        }, # column
        "dot1qForwardAllTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.4",
            "status" : "current",
            "description" :
                """A table containing forwarding information for each
VLAN, specifying the set of ports to which forwarding of
all multicasts applies, configured statically by
management or dynamically by GMRP.  An entry appears in
this table for all VLANs that are currently





instantiated.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.2, 12.7.7""",
        }, # table
        "dot1qForwardAllEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.4.1",
            "status" : "current",
            "linkage" : [
                "dot1qVlanIndex",
            ],
            "description" :
                """Forwarding information for a VLAN, specifying the set
of ports to which all multicasts should be forwarded,
configured statically by management or dynamically by
GMRP.""",
        }, # row
        "dot1qForwardAllPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The complete set of ports in this VLAN to which all
multicast group-addressed frames are to be forwarded.
This includes ports for which this need has been
determined dynamically by GMRP, or configured statically
by management.""",
        }, # column
        "dot1qForwardAllStaticPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports configured by management in this VLAN
to which all multicast group-addressed frames are to be
forwarded.  Ports entered in this list will also appear
in the complete set shown by dot1qForwardAllPorts.  This
value will be restored after the device is reset.  This
only applies to ports that are members of the VLAN,
defined by dot1qVlanCurrentEgressPorts.  A port may not
be added in this set if it is already a member of the
set of ports in dot1qForwardAllForbiddenPorts.  The
default value is a string of ones of appropriate length,
to indicate standard non-EFS behaviour, i.e.  forward
all multicasts to all ports.""",
        }, # column
        "dot1qForwardAllForbiddenPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports configured by management in this VLAN
for which the Service Requirement attribute Forward All
Multicast Groups may not be dynamically registered by
GMRP.  This value will be restored after the device is
reset.  A port may not be added in this set if it is
already a member of the set of ports in
dot1qForwardAllStaticPorts.  The default value is a
string of zeros of appropriate length.""",
        }, # column
        "dot1qForwardUnregisteredTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.5",
            "status" : "current",
            "description" :
                """A table containing forwarding information for each
VLAN, specifying the set of ports to which forwarding of
multicast group-addressed frames for which there is no
more specific forwarding information applies.  This is
configured statically by management and determined
dynamically by GMRP.  An entry appears in this table for
all VLANs that are currently instantiated.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.2, 12.7.7""",
        }, # table
        "dot1qForwardUnregisteredEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.5.1",
            "status" : "current",
            "linkage" : [
                "dot1qVlanIndex",
            ],
            "description" :
                """Forwarding information for a VLAN, specifying the set
of ports to which all multicasts for which there is no
more specific forwarding information shall be forwarded.
This is configured statically by management or
dynamically by GMRP.""",
        }, # row
        "dot1qForwardUnregisteredPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.5.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The complete set of ports in this VLAN to which
multicast group-addressed frames for which there is no
more specific forwarding information will be forwarded.
This includes ports for which this need has been
determined dynamically by GMRP, or configured statically
by management.""",
        }, # column
        "dot1qForwardUnregisteredStaticPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports configured by management, in this
VLAN, to which multicast group-addressed frames for
which there is no more specific forwarding information
are to be forwarded.  Ports entered in this list will
also appear in the complete set shown by
dot1qForwardUnregisteredPorts.  This value will be
restored after the device is reset.  A port may not be
added in this set if it is already a member of the set
of ports in dot1qForwardUnregisteredForbiddenPorts.  The





default value is a string of zeros of appropriate
length, although this has no effect with the default
value of dot1qForwardAllStaticPorts.""",
        }, # column
        "dot1qForwardUnregisteredForbiddenPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.2.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports configured by management in this VLAN
for which the Service Requirement attribute Forward
Unregistered Multicast Groups may not be dynamically
registered by GMRP.  This value will be restored after
the device is reset.  A port may not be added in this
set if it is already a member of the set of ports in
dot1qForwardUnregisteredStaticPorts.  The default value
is a string of zeros of appropriate length.""",
        }, # column
        "dot1qStatic" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3",
        }, # node
        "dot1qStaticUnicastTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1",
            "status" : "current",
            "description" :
                """A table containing filtering information for Unicast
MAC addresses for each Filtering Database, configured
into the device by (local or network) management
specifying the set of ports to which frames received
from specific ports and containing specific unicast
destination addresses are allowed to be forwarded.  A
value of zero in this table as the port number from
which frames with a specific destination address are
received, is used to specify all ports for which there
is no specific entry in this table for that particular
destination address.  Entries are valid for unicast
addresses only.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.7,
ISO/IEC 15802-3 Section 7.9.1""",
        }, # table
        "dot1qStaticUnicastEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1.1",
            "status" : "current",
            "linkage" : [
                "dot1qFdbId",
                "dot1qStaticUnicastAddress",
                "dot1qStaticUnicastReceivePort",
            ],
            "description" :
                """Filtering information configured into the device by
(local or network) management specifying the set of
ports to which frames received from a specific port and
containing a specific unicast destination address are
allowed to be forwarded.""",
        }, # row
        "dot1qStaticUnicastAddress" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The destination MAC address in a frame to which this
entry's filtering information applies.  This object must
take the value of a unicast address.""",
        }, # column
        "dot1qStaticUnicastReceivePort" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Either the value '0', or the port number of the port
from which a frame must be received in order for this
entry's filtering information to apply.  A value of zero
indicates that this entry applies on all ports of the





device for which there is no other applicable entry.""",
        }, # column
        "dot1qStaticUnicastAllowedToGoTo" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports for which a frame with a specific
unicast address will be flooded in the event that it
has not been learned.  It also specifies the set of
ports a specific unicast address may be dynamically
learnt on.  The dot1qTpFdbTable will have an equivalent
entry with a dot1qTpFdbPort value of '0' until this
address has been learnt, when it will be updated with
the port the address has been seen on.  This only
applies to ports that are members of the VLAN, defined
by dot1qVlanCurrentEgressPorts.  The default value of
this object is a string of ones of appropriate length.""",
            "reference>" :
                """IEEE 802.1Q/D11 Table 8-5, ISO/IEC 15802-3 Table 7-5""",
        }, # column
        "dot1qStaticUnicastStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "permanent" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "deleteOnReset" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "deleteOnTimeout" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "permanent",
            "description" :
                """This object indicates the status of this entry.
other(1) - this entry is currently in use but
    the conditions under which it will remain
    so differ from the following values.
invalid(2) - writing this value to the object
    removes the corresponding entry.
permanent(3) - this entry is currently in use
    and will remain so after the next reset of
    the bridge.
deleteOnReset(4) - this entry is currently in
    use and will remain so until the next
    reset of the bridge.







deleteOnTimeout(5) - this entry is currently in
    use and will remain so until it is aged out.""",
        }, # column
        "dot1qStaticMulticastTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2",
            "status" : "current",
            "description" :
                """A table containing filtering information for Multicast
and Broadcast MAC addresses for each VLAN, configured
into the device by (local or network) management
specifying the set of ports to which frames received
from specific ports and containing specific Multicast
and Broadcast destination addresses are allowed to be
forwarded.  A value of zero in this table as the port
number from which frames with a specific destination
address are received, is used to specify all ports for
which there is no specific entry in this table for that
particular destination address.  Entries are valid for
Multicast and Broadcast addresses only.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.7,
ISO/IEC 15802-3 Section 7.9.1""",
        }, # table
        "dot1qStaticMulticastEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1",
            "status" : "current",
            "linkage" : [
                "dot1qVlanIndex",
                "dot1qStaticMulticastAddress",
                "dot1qStaticMulticastReceivePort",
            ],
            "description" :
                """Filtering information configured into the device by
(local or network) management specifying the set of
ports to which frames received from this specific port
for this VLAN and containing this Multicast or Broadcast
destination address are allowed to be forwarded.""",
        }, # row
        "dot1qStaticMulticastAddress" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The destination MAC address in a frame to which this
entry's filtering information applies.  This object must
take the value of a Multicast or Broadcast address.""",
        }, # column
        "dot1qStaticMulticastReceivePort" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Either the value '0', or the port number of the port
from which a frame must be received in order for this
entry's filtering information to apply.  A value of zero
indicates that this entry applies on all ports of the
device for which there is no other applicable entry.""",
        }, # column
        "dot1qStaticMulticastStaticEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports to which frames received from a
specific port and destined for a specific Multicast or
Broadcast MAC address must be forwarded, regardless of
any dynamic information e.g. from GMRP.  A port may not
be added in this set if it is already a member of the
set of ports in dot1qStaticMulticastForbiddenEgressPorts.
The default value of this object is a string of ones of
appropriate length.""",
        }, # column
        "dot1qStaticMulticastForbiddenEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports to which frames received from a
specific port and destined for a specific Multicast or
Broadcast MAC address must not be forwarded, regardless
of any dynamic information e.g. from GMRP.  A port may
not be added in this set if it is already a member of the
set of ports in dot1qStaticMulticastStaticEgressPorts.
The default value of this object is a string of zeros of
appropriate length.""",
        }, # column
        "dot1qStaticMulticastStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.3.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "permanent" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "deleteOnReset" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "deleteOnTimeout" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "permanent",
            "description" :
                """This object indicates the status of this entry.
other(1) - this entry is currently in use but
    the conditions under which it will remain
    so differ from the following values.
invalid(2) - writing this value to the object
    removes the corresponding entry.
permanent(3) - this entry is currently in use
    and will remain so after the next reset of
    the bridge.







deleteOnReset(4) - this entry is currently in
    use and will remain so until the next
    reset of the bridge.
deleteOnTimeout(5) - this entry is currently in
    use and will remain so until it is aged out.""",
        }, # column
        "dot1qVlan" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4",
        }, # node
        "dot1qVlanNumDeletes" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times a VLAN entry has been deleted from
the dot1qVlanCurrentTable (for any reason).  If an entry
is deleted, then inserted, and then deleted, this
counter will be incremented by 2.""",
        }, # scalar
        "dot1qVlanCurrentTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2",
            "status" : "current",
            "description" :
                """A table containing current configuration information
for each VLAN currently configured into the device by
(local or network) management, or dynamically created
as a result of GVRP requests received.""",
        }, # table
        "dot1qVlanCurrentEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1",
            "status" : "current",
            "linkage" : [
                "dot1qVlanTimeMark",
                "dot1qVlanIndex",
            ],
            "description" :
                """Information for a VLAN configured into the device by
(local or network) management, or dynamically created
as a result of GVRP requests received.""",
        }, # row
        "dot1qVlanTimeMark" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RMON2-MIB", "name" : "TimeFilter"},
            },
            "access" : "noaccess",
            "description" :
                """A TimeFilter for this entry.  See the TimeFilter
textual convention to see how this works.""",
        }, # column
        "dot1qVlanIndex" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "VlanIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The VLAN-ID or other identifier refering to this VLAN.""",
        }, # column
        "dot1qVlanFdbId" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The Filtering Database used by this VLAN.  This is one
of the dot1qFdbId values in the dot1qFdbTable.  This
value is allocated automatically by the device whenever
the VLAN is created: either dynamically by GVRP, or by









management, in dot1qVlanStaticTable.  Allocation of this
value follows the learning constraints defined for this
VLAN in dot1qLearningConstraintsTable.""",
        }, # column
        "dot1qVlanCurrentEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The set of ports which are transmitting traffic for
this VLAN as either tagged or untagged frames.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.2.1""",
        }, # column
        "dot1qVlanCurrentUntaggedPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The set of ports which are transmitting traffic for
this VLAN as untagged frames.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.2.1""",
        }, # column
        "dot1qVlanStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "permanent" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dynamicGvrp" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object indicates the status of this entry.
other(1) - this entry is currently in use but the
    conditions under which it will remain so differ
    from the following values.
permanent(2) - this entry, corresponding to an entry
    in dot1qVlanStaticTable, is currently in use and
    will remain so after the next reset of the
    device.  The port lists for this entry include
    ports from the equivalent dot1qVlanStaticTable
    entry and ports learnt dynamically.
dynamicGvrp(3) - this entry is currently in use






    and will remain so until removed by GVRP.  There
    is no static entry for this VLAN and it will be
    removed when the last port leaves the VLAN.""",
        }, # column
        "dot1qVlanCreationTime" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "TimeTicks"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime when this VLAN was created.""",
        }, # column
        "dot1qVlanStaticTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3",
            "status" : "current",
            "description" :
                """A table containing static configuration information for
each VLAN configured into the device by (local or
network) management.  All entries are permanent and will
be restored after the device is reset.""",
        }, # table
        "dot1qVlanStaticEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "dot1qVlanIndex",
            ],
            "description" :
                """Static information for a VLAN configured into the
device by (local or network) management.""",
        }, # row
        "dot1qVlanStaticName" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMP-FRAMEWORK-MIB",
                        "type" : "SnmpAdminString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """An administratively assigned string, which may be used
to identify the VLAN.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.2.1""",
        }, # column
        "dot1qVlanStaticEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports which are permanently assigned to the
egress list for this VLAN by management.  Changes to a
bit in this object affect the per-port per-VLAN
Registrar control for Registration Fixed for the
relevant GVRP state machine on each port.  A port may
not be added in this set if it is already a member of
the set of ports in dot1qVlanForbiddenEgressPorts.  The
default value of this object is a string of zeros of
appropriate length, indicating not fixed.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.7.3, 11.2.3.2.3""",
        }, # column
        "dot1qVlanForbiddenEgressPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports which are prohibited by management
from being included in the egress list for this VLAN.
Changes to this object that cause a port to be included
or excluded affect the per-port per-VLAN Registrar









control for Registration Forbidden for the relevant GVRP
state machine on each port.  A port may not be added in
this set if it is already a member of the set of ports
in dot1qVlanStaticEgressPorts.  The default value of
this object is a string of zeros of appropriate length,
excluding all ports from the forbidden set.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.7.7.3, 11.2.3.2.3""",
        }, # column
        "dot1qVlanStaticUntaggedPorts" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The set of ports which should transmit egress packets
for this VLAN as untagged.  The default value of this
object for the default VLAN (dot1qVlanIndex = 1) is a string
of appropriate length including all ports.  There is no
specified default for other VLANs.  If a device agent cannot
support the set of ports being set then it will reject the
set operation with an error. An example might be if a
manager attempts to set more than one VLAN to be untagged
on egress where the device does not support this IEEE 802.1Q
option.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.2.1""",
        }, # column
        "dot1qVlanStaticRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """This object indicates the status of this entry.""",
        }, # column
        "dot1qNextFreeLocalVlanIndex" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "0"
                    },
                    {
                        "min" : "4096",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The next available value for dot1qVlanIndex of a local
VLAN entry in dot1qVlanStaticTable.  This will report
values >=4096 if a new Local VLAN may be created or else
the value 0 if this is not possible.







A row creation operation in this table for an entry with a local
VlanIndex value may fail if the current value of this object
is not used as the index. Even if the value read is used,
there is no guarantee that it will still be the valid index
when the create operation is attempted - another manager may
have already got in during the intervening time interval.
In this case, dot1qNextFreeLocalVlanIndex should be re-read
and the creation re-tried with the new value.

This value will automatically change when the current value is
used to create a new row.""",
        }, # scalar
        "dot1qPortVlanTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5",
            "status" : "current",
            "description" :
                """A table containing per port control and status
information for VLAN configuration in the device.""",
        }, # table
        "dot1qPortVlanEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1",
            "status" : "current",
            "linkage" : [
                { "BRIDGE-MIB" : {
                    "indexkind" : "augments",
                    "relatedNode" : "dot1dBasePortEntry",
                }},
            ],
            "description" :
                """Information controlling VLAN configuration for a port
on the device.  This is indexed by dot1dBasePort.""",
        }, # row
        "dot1qPvid" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "VlanIndex"},
            },
            "access" : "readwrite",
            "default" : "1",
            "description" :
                """The PVID, the VLAN ID assigned to untagged frames or
Priority-Tagged frames received on this port.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.1.1""",
        }, # column
        "dot1qPortAcceptableFrameTypes" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "admitAll" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "admitOnlyVlanTagged" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "admitAll",
            "description" :
                """When this is admitOnlyVlanTagged(2) the device will
discard untagged frames or Priority-Tagged frames
received on this port.  When admitAll(1), untagged
frames or Priority-Tagged frames received on this port
will be accepted and assigned to the PVID for this port.

This control does not affect VLAN independent BPDU
frames, such as GVRP and STP.  It does affect VLAN
dependent BPDU frames, such as GMRP.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.1.3""",
        }, # column
        "dot1qPortIngressFiltering" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """When this is true(1) the device will discard incoming
frames for VLANs which do not include this Port in its
Member set.  When false(2), the port will accept all
incoming frames.

This control does not affect VLAN independent BPDU
frames, such as GVRP and STP.  It does affect VLAN
dependent BPDU frames, such as GMRP.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.1.4""",
        }, # column
        "dot1qPortGvrpStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"P-BRIDGE-MIB", "name" : "EnabledStatus"},
            },
            "access" : "readwrite",
            "default" : "enabled",
            "description" :
                """The state of GVRP operation on this port.  The value
enabled(1) indicates that GVRP is enabled on this port,
as long as dot1qGvrpStatus is also enabled for this
device.  When disabled(2) but dot1qGvrpStatus is still
enabled for the device, GVRP is disabled on this port:
any GVRP packets received will be silently discarded and
no GVRP registrations will be propagated from other
ports.  This object affects all GVRP Applicant and
Registrar state machines on this port.  A transition
from disabled(2) to enabled(1) will cause a reset of all
GVRP state machines on this port.""",
        }, # column
        "dot1qPortGvrpFailedRegistrations" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of failed GVRP registrations, for any
reason, on this port.""",
        }, # column
        "dot1qPortGvrpLastPduOrigin" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.5.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The Source MAC Address of the last GVRP message
received on this port.""",
        }, # column
        "dot1qPortVlanStatisticsTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6",
            "status" : "current",
            "description" :
                """A table containing per-port, per-VLAN statistics for
traffic received. Separate objects are provided for both the
most-significant and least-significant bits of statistics
counters for ports that are associated with this transparent
bridge. The most-significant bit objects are only required on
high capacity interfaces, as defined in the conformance clauses
for these objects. This mechanism is provided as a way to read
64-bit counters for agents which support only SNMPv1.

Note that the reporting of most-significant and least-
significant counter bits separately runs the risk of missing
an overflow of the lower bits in the interval between sampling.
The manager must be aware of this possibility, even within the
same varbindlist, when interpreting the results of a request or
asynchronous notification.""",
        }, # table
        "dot1qPortVlanStatisticsEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1",
            "status" : "current",
            "linkage" : [
                "dot1dBasePort",
                "dot1qVlanIndex",
            ],
            "description" :
                """Traffic statistics for a VLAN on an interface.""",
        }, # row
        "dot1qTpVlanPortInFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames received by this port from
its segment which were classified as belonging to this
VLAN.  Note that a frame received on this port is
counted by this object if and only if it is for a
protocol being processed by the local forwarding process
for this VLAN.  This object includes received bridge
management frames classified as belonging to this VLAN
(e.g. GMRP, but not GVRP or STP).""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3(a)""",
        }, # column
        "dot1qTpVlanPortOutFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames transmitted by this port to
its segment from the local forwarding process for this
VLAN.  This includes bridge management frames originated
by this device which are classified as belonging to this
VLAN (e.g. GMRP, but not GVRP or STP).""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3(d)""",
        }, # column
        "dot1qTpVlanPortInDiscards" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames received by this port from
its segment which were classified as belonging to this
VLAN which were discarded due to VLAN related reasons.
Specifically, the IEEE 802.1Q counters for Discard
Inbound and Discard on Ingress Filtering.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3""",
        }, # column
        "dot1qTpVlanPortInOverflowFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times the associated
dot1qTpVlanPortInFrames counter has overflowed.""",
            "reference>" :
                """ISO/IEC 15802-3 Section 14.6.1.1.3""",
        }, # column
        "dot1qTpVlanPortOutOverflowFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times the associated
dot1qTpVlanPortOutFrames counter has overflowed.""",
            "reference>" :
                """ISO/IEC 15802-3 Section 14.6.1.1.3""",
        }, # column
        "dot1qTpVlanPortInOverflowDiscards" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.6.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times the associated
dot1qTpVlanPortInDiscards counter has overflowed.""",
            "reference>" :
                """ISO/IEC 15802-3 Section 14.6.1.1.3""",
        }, # column
        "dot1qPortVlanHCStatisticsTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.7",
            "status" : "current",
            "description" :
                """A table containing per port, per VLAN statistics for
traffic on high capacity interfaces.""",
        }, # table
        "dot1qPortVlanHCStatisticsEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.7.1",
            "status" : "current",
            "linkage" : [
                "dot1dBasePort",
                "dot1qVlanIndex",
            ],
            "description" :
                """Traffic statistics for a VLAN on a high capacity
interface.""",
        }, # row
        "dot1qTpVlanPortHCInFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.7.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames received by this port from
its segment which were classified as belonging to this
VLAN.  Note that a frame received on this port is
counted by this object if and only if it is for a
protocol being processed by the local forwarding process
for this VLAN.  This object includes received bridge
management frames classified as belonging to this VLAN
(e.g. GMRP, but not GVRP or STP).""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3(a)""",
        }, # column
        "dot1qTpVlanPortHCOutFrames" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.7.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames transmitted by this port to
its segment from the local forwarding process for this
VLAN.  This includes bridge management frames originated
by this device which are classified as belonging to this
VLAN (e.g. GMRP, but not GVRP or STP).""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3(d)""",
        }, # column
        "dot1qTpVlanPortHCInDiscards" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.7.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid frames received by this port from
its segment which were classified as belonging to this
VLAN which were discarded due to VLAN related reasons.
Specifically, the IEEE 802.1Q counters for Discard
Inbound and Discard on Ingress Filtering.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.6.1.1.3""",
        }, # column
        "dot1qLearningConstraintsTable" : {
            "nodetype" : "table",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8",
            "status" : "current",
            "description" :
                """A table containing learning constraints for sets of
Shared and Independendent VLANs.""",
            "reference>" :
                """IEEE 802.1Q/D11 Section 12.10.3.1""",
        }, # table
        "dot1qLearningConstraintsEntry" : {
            "nodetype" : "row",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "dot1qConstraintVlan",
                "dot1qConstraintSet",
            ],
            "description" :
                """A learning constraint defined for a VLAN.""",
        }, # row
        "dot1qConstraintVlan" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "VlanIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index of the row in dot1qVlanCurrentTable for the
VLAN constrained by this entry.""",
        }, # column
        "dot1qConstraintSet" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The identity of the constraint set to which
dot1qConstraintVlan belongs.  These values may be chosen
by the management station.""",
        }, # column
        "dot1qConstraintType" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "independent" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "shared" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of constraint this entry defines.
independent(1) - the VLAN, dot1qConstraintVlan,
    uses an independent filtering database from all






    other VLANs in the same set, defined by
    dot1qConstraintSet.
shared(2) - the VLAN, dot1qConstraintVlan, shares
    the same filtering database as all other VLANs
    in the same set, defined by dot1qConstraintSet.""",
        }, # column
        "dot1qConstraintStatus" : {
            "nodetype" : "column",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.8.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this entry.""",
        }, # column
        "dot1qConstraintSetDefault" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The identity of the constraint set to which a VLAN
belongs, if there is not an explicit entry for that VLAN
in dot1qLearningConstraintsTable.""",
        }, # scalar
        "dot1qConstraintTypeDefault" : {
            "nodetype" : "scalar",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.1.4.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "independent" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "shared" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of constraint set to which a VLAN belongs, if
there is not an explicit entry for that VLAN in
dot1qLearningConstraintsTable.  The types are as defined
for dot1qConstraintType.""",
        }, # scalar
        "qBridgeConformance" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2",
        }, # node
        "qBridgeGroups" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1",
        }, # node
        "qBridgeCompliances" : {
            "nodetype" : "node",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "qBridgeBaseGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.1",
            "status" : "current",
            "members" : {
                "dot1qVlanVersionNumber" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qMaxVlanId" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qMaxSupportedVlans" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qNumVlans" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qGvrpStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing device level control
and status information for the Virtual LAN bridge
services.""",
        }, # group
        "qBridgeFdbUnicastGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.2",
            "status" : "current",
            "members" : {
                "dot1qFdbDynamicCount" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpFdbPort" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpFdbStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about all
unicast addresses, learnt dynamically or statically
configured by management, in each Filtering Database.""",
        }, # group
        "qBridgeFdbMulticastGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.3",
            "status" : "current",
            "members" : {
                "dot1qTpGroupEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpGroupLearnt" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about all
multicast addresses, learnt dynamically or statically
configured by management, in each Filtering Database.""",
        }, # group
        "qBridgeServiceRequirementsGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.4",
            "status" : "current",
            "members" : {
                "dot1qForwardAllPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qForwardAllStaticPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qForwardAllForbiddenPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qForwardUnregisteredPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qForwardUnregisteredStaticPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qForwardUnregisteredForbiddenPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
service requirements, learnt dynamically or statically
configured by management, in each Filtering Database.""",
        }, # group
        "qBridgeFdbStaticGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.5",
            "status" : "current",
            "members" : {
                "dot1qStaticUnicastAllowedToGoTo" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qStaticUnicastStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qStaticMulticastStaticEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qStaticMulticastForbiddenEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qStaticMulticastStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
unicast and multicast addresses statically configured by
management, in each Filtering Database or VLAN.""",
        }, # group
        "qBridgeVlanGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.6",
            "status" : "current",
            "members" : {
                "dot1qVlanNumDeletes" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanFdbId" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanCurrentEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanCurrentUntaggedPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanCreationTime" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
all VLANs currently configured on this device.""",
        }, # group
        "qBridgeVlanStaticGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.7",
            "status" : "current",
            "members" : {
                "dot1qVlanStaticName" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanStaticEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanForbiddenEgressPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanStaticUntaggedPorts" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qVlanStaticRowStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qNextFreeLocalVlanIndex" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
VLANs statically configured by management.""",
        }, # group
        "qBridgePortGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.8",
            "status" : "current",
            "members" : {
                "dot1qPvid" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qPortAcceptableFrameTypes" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qPortIngressFiltering" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qPortGvrpStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qPortGvrpFailedRegistrations" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qPortGvrpLastPduOrigin" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing port level VLAN
control and status information for all ports.""",
        }, # group
        "qBridgeVlanStatisticsGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.9",
            "status" : "current",
            "members" : {
                "dot1qTpVlanPortInFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortOutFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortInDiscards" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing per-port packet
statistics for all VLANs currently configured on this
device.""",
        }, # group
        "qBridgeVlanStatisticsOverflowGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.10",
            "status" : "current",
            "members" : {
                "dot1qTpVlanPortInOverflowFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortOutOverflowFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortInOverflowDiscards" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing overflow counters for
per-port packet statistics for all VLANs currently configured
on this device for high capacity interfaces, defined as those
that have the value of the corresponding instance of
ifSpeed greater than 650,000,000 bits/second.""",
        }, # group
        "qBridgeVlanHCStatisticsGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.11",
            "status" : "current",
            "members" : {
                "dot1qTpVlanPortHCInFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortHCOutFrames" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qTpVlanPortHCInDiscards" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing per-port packet
statistics for all VLANs currently configured on this
device for high capacity interfaces, defined as those
that have the value of the corresponding instance of
ifSpeed greater than 650,000,000 bits/second.""",
        }, # group
        "qBridgeLearningConstraintsGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.12",
            "status" : "current",
            "members" : {
                "dot1qConstraintType" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qConstraintStatus" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects defining the Filtering Database
constraints all VLANs have with each other.""",
        }, # group
        "qBridgeLearningConstraintDefaultGroup" : {
            "nodetype" : "group",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.1.13",
            "status" : "current",
            "members" : {
                "dot1qConstraintSetDefault" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
                "dot1qConstraintTypeDefault" : {
                    "nodetype" : "member",
                    "module" : "Q-BRIDGE-MIB"
                },
            }, # members
            "description" :
                """A collection of objects defining the default Filtering
Database constraints for VLANs which have no specific
constraints defined.""",
        }, # group
    }, # groups

    "compliances" : {
        "qBridgeCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "Q-BRIDGE-MIB",
            "oid" : "1.3.6.1.2.1.17.7.2.2.1",
            "status" : "current",
            "description" :
                """The compliance statement for device support of Virtual
LAN Bridge services.""",
            "requires" : {
                "qBridgeBaseGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "Q-BRIDGE-MIB"
                },
                "qBridgeVlanGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "Q-BRIDGE-MIB"
                },
                "qBridgeVlanStaticGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "Q-BRIDGE-MIB"
                },
                "qBridgePortGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "Q-BRIDGE-MIB"
                },
                "qBridgeFdbUnicastGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is mandatory for bridges that implement
802.1Q transparent bridging.""",
                },
                "qBridgeFdbMulticastGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is mandatory for bridges that implement
802.1Q transparent bridging.""",
                },
                "qBridgeServiceRequirementsGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is mandatory for bridges that implement
extended filtering services.  All objects must be
read-write if extended-filtering services are
enabled.""",
                },
                "qBridgeFdbStaticGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is optional.""",
                },
                "qBridgeVlanStatisticsGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is optional as there may be significant
implementation cost associated with its support.""",
                },
                "qBridgeVlanStatisticsOverflowGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is optional as there may be significant
implementation cost associated with its support. It is most
relevant for high capacity interfaces where the SNMP agent
supports only SNMPv1.""",
                },
                "qBridgeVlanHCStatisticsGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is optional as there may be significant
implementation cost associated with its support. It is most
relevant for high capacity interfaces.""",
                },
                "qBridgeLearningConstraintsGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is mandatory for devices implementing
both Independent VLAN Learning (IVL) and Shared
VLAN Learning (SVL) modes of operation of the
filtering database, as defined by IEEE 802.1Q.""",
                },
                "qBridgeLearningConstraintDefaultGroup" : {
                    "nodetype" : "optional",
                    "module" : "Q-BRIDGE-MIB",
                    "description" :
                        """This group is mandatory for devices implementing
both Independent VLAN Learning (IVL) and Shared
VLAN Learning (SVL) modes of operation of the
filtering database, as defined by IEEE 802.1Q.""",
                },
            }, # requires
            "refinements" : {
                "dot1qPortAcceptableFrameTypes" : {
                    "module" : "Q-BRIDGE-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required as this is an optional
capability in IEEE 802.1Q.""",
                },
                "dot1qPortIngressFiltering" : {
                    "module" : "Q-BRIDGE-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required as this is an optional
capability in IEEE 802.1Q.""",
                },
                "dot1qConstraintSetDefault" : {
                    "module" : "Q-BRIDGE-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required as this is an optional
capability in IEEE 802.1Q.""",
                },
                "dot1qConstraintTypeDefault" : {
                    "module" : "Q-BRIDGE-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required as this is an optional
capability in IEEE 802.1Q.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
