# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python UPS-MIB

FILENAME = "RFC1628_UPS_MIB.MIB"

MIB = {
    "moduleName" : "UPS-MIB",

    "UPS-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF UPS MIB Working Group""",
        "contact" : 
            """        Jeffrey D. Case

Postal: SNMP Research, Incorporated
        3001 Kimberlin Heights Road
        Knoxville, TN  37920
        US

   Tel: +1 615 573 1434
   Fax: +1 615 573 9197

E-mail: case@snmp.com""",
        "description" :
            """The MIB module to describe Uninterruptible Power
Supplies.""",
        "revisions" : (
            {
                "date" : "2005-10-14 00:00",
                "description" :
                    """Updated by Liebert Corporation to fix outstanding SNMP bugs.""",
            },
        ),
        "identity node" : "upsMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "mib-2"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "TimeInterval"},
        {"module" : "SNMPv2-TC", "name" : "TestAndIncr"},
        {"module" : "SNMPv2-TC", "name" : "AutonomousType"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
    ),

    "typedefs" : {
        "PositiveInteger" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "1",
                "max" : "2147483647"
            },
            ],
            "range" : {
                "min" : "1",
                "max" : "2147483647"
            },
            "format" : "d",
            "description" :
                """This data type is a non-zero and non-negative value.""",
        },
        "NonNegativeInteger" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "2147483647"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "2147483647"
            },
            "format" : "d",
            "description" :
                """This data type is a non-negative value.""",
        },
    }, # typedefs

    "nodes" : {
        "upsMIB" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33",
            "status" : "current",
        }, # node
        "upsObjects" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1",
        }, # node
        "upsIdent" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1",
        }, # node
        "upsIdentManufacturer" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "31"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "31"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The name of the UPS manufacturer.""",
        }, # scalar
        "upsIdentModel" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The UPS Model designation.""",
        }, # scalar
        "upsIdentUPSSoftwareVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The UPS firmware/software version(s).  This variable
may or may not have the same value as
upsIdentAgentSoftwareVersion in some implementations.""",
        }, # scalar
        "upsIdentAgentSoftwareVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The UPS agent software version.  This variable may or
may not have the same value as
upsIdentUPSSoftwareVersion in some implementations.""",
        }, # scalar
        "upsIdentName" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A string identifying the UPS.  This object should be
set by the administrator.""",
        }, # scalar
        "upsIdentAttachedDevices" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A string identifying the devices attached to the
output(s) of the UPS.  This object should be set by
the administrator.""",
        }, # scalar
        "upsBattery" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2",
        }, # node
        "upsBatteryStatus" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "batteryNormal" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "batteryLow" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "batteryDepleted" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The indication of the capacity remaining in the UPS
system's batteries.   A value of batteryNormal
indicates that the remaining run-time is greater than
upsConfigLowBattTime.  A value of batteryLow indicates
that the remaining battery run-time is less than or
equal to upsConfigLowBattTime.  A value of
batteryDepleted indicates that the UPS will be unable
to sustain the present load when and if the utility
power is lost (including the possibility that the
utility power is currently absent and the UPS is
unable to sustain the output).""",
        }, # scalar
        "upsSecondsOnBattery" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """If the unit is on battery power, the elapsed time
since the UPS last switched to battery power, or the
time since the network management subsystem was last
restarted, whichever is less.  Zero shall be returned
if the unit is not on battery power.""",
        }, # scalar
        "upsEstimatedMinutesRemaining" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "PositiveInteger"},
            },
            "access" : "readonly",
            "units" : "minutes",
            "description" :
                """An estimate of the time to battery charge depletion
under the present load conditions if the utility power
is off and remains off, or if it were to be lost and
remain off.""",
        }, # scalar
        "upsEstimatedChargeRemaining" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """An estimate of the battery charge remaining expressed
as a percent of full charge.""",
        }, # scalar
        "upsBatteryVoltage" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 Volt DC",
            "description" :
                """The magnitude of the present battery voltage.""",
        }, # scalar
        "upsBatteryCurrent" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "0.1 Amp DC",
            "description" :
                """The present battery current.""",
        }, # scalar
        "upsBatteryTemperature" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.2.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "degrees Centigrade",
            "description" :
                """The ambient temperature at or near the UPS Battery
casing.""",
        }, # scalar
        "upsInput" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3",
        }, # node
        "upsInputLineBads" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """A count of the number of times the input entered an
out-of-tolerance condition as defined by the
manufacturer.  This count is incremented by one each
time the input transitions from zero out-of-tolerance
lines to one or more input lines out-of-tolerance.""",
        }, # scalar
        "upsInputNumLines" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "description" :
                """The number of input lines utilized in this device.
This variable indicates the number of rows in the
input table.""",
        }, # scalar
        "upsInputTable" : {
            "nodetype" : "table",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3",
            "status" : "current",
            "description" :
                """A list of input table entries.  The number of entries
is given by the value of upsInputNumLines.""",
        }, # table
        "upsInputEntry" : {
            "nodetype" : "row",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1",
            "status" : "current",
            "linkage" : [
                "upsInputLineIndex",
            ],
            "description" :
                """An entry containing information applicable to a
particular input line.""",
        }, # row
        "upsInputLineIndex" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "PositiveInteger"},
            },
            "access" : "noaccess",
            "description" :
                """The input line identifier.""",
        }, # column
        "upsInputFrequency" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 Hertz",
            "description" :
                """The present input frequency.""",
        }, # column
        "upsInputVoltage" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "RMS Volts",
            "description" :
                """The magnitude of the present input voltage.""",
        }, # column
        "upsInputCurrent" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 RMS Amp",
            "description" :
                """The magnitude of the present input current.""",
        }, # column
        "upsInputTruePower" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.3.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "Watts",
            "description" :
                """The magnitude of the present input true power.""",
        }, # column
        "upsOutput" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4",
        }, # node
        "upsOutputSource" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "none" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "normal" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "bypass" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "battery" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "booster" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "reducer" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The present source of output power.  The enumeration
none(2) indicates that there is no source of output
power (and therefore no output power), for example,
the system has opened the output breaker.""",
        }, # scalar
        "upsOutputFrequency" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 Hertz",
            "description" :
                """The present output frequency.""",
        }, # scalar
        "upsOutputNumLines" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "description" :
                """The number of output lines utilized in this device.
This variable indicates the number of rows in the
output table.""",
        }, # scalar
        "upsOutputTable" : {
            "nodetype" : "table",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4",
            "status" : "current",
            "description" :
                """A list of output table entries.  The number of
entries is given by the value of upsOutputNumLines.""",
        }, # table
        "upsOutputEntry" : {
            "nodetype" : "row",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1",
            "status" : "current",
            "linkage" : [
                "upsOutputLineIndex",
            ],
            "description" :
                """An entry containing information applicable to a
particular output line.""",
        }, # row
        "upsOutputLineIndex" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "PositiveInteger"},
            },
            "access" : "noaccess",
            "description" :
                """The output line identifier.""",
        }, # column
        "upsOutputVoltage" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "RMS Volts",
            "description" :
                """The present output voltage.""",
        }, # column
        "upsOutputCurrent" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 RMS Amp",
            "description" :
                """The present output current.""",
        }, # column
        "upsOutputPower" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "Watts",
            "description" :
                """The present output true power.""",
        }, # column
        "upsOutputPercentLoad" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.4.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "200"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "200"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The percentage of the UPS power capacity presently
being used on this output line, i.e., the greater of
the percent load of true power capacity and the
percent load of VA.""",
        }, # column
        "upsBypass" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5",
        }, # node
        "upsBypassFrequency" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 Hertz",
            "description" :
                """The present bypass frequency.""",
        }, # scalar
        "upsBypassNumLines" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "description" :
                """The number of bypass lines utilized in this device.
This entry indicates the number of rows in the bypass
table.""",
        }, # scalar
        "upsBypassTable" : {
            "nodetype" : "table",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3",
            "status" : "current",
            "description" :
                """A list of bypass table entries.  The number of
entries is given by the value of upsBypassNumLines.""",
        }, # table
        "upsBypassEntry" : {
            "nodetype" : "row",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3.1",
            "status" : "current",
            "linkage" : [
                "upsBypassLineIndex",
            ],
            "description" :
                """An entry containing information applicable to a
particular bypass input.""",
        }, # row
        "upsBypassLineIndex" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "PositiveInteger"},
            },
            "access" : "noaccess",
            "description" :
                """The bypass line identifier.""",
        }, # column
        "upsBypassVoltage" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "RMS Volts",
            "description" :
                """The present bypass voltage.""",
        }, # column
        "upsBypassCurrent" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "0.1 RMS Amp",
            "description" :
                """The present bypass current.""",
        }, # column
        "upsBypassPower" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.5.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "Watts",
            "description" :
                """The present true power conveyed by the bypass.""",
        }, # column
        "upsAlarm" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6",
        }, # node
        "upsAlarmsPresent" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The present number of active alarm conditions.""",
        }, # scalar
        "upsAlarmTable" : {
            "nodetype" : "table",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.2",
            "status" : "current",
            "description" :
                """A list of alarm table entries.  The table contains
zero, one, or many rows at any moment, depending upon
the number of alarm conditions in effect.  The table
is initially empty at agent startup.  The agent
creates a row in the table each time a condition is
detected and deletes that row when that condition no
longer pertains.  The agent creates the first row with
upsAlarmId equal to 1, and increments the value of
upsAlarmId each time a new row is created, wrapping to
the first free value greater than or equal to 1 when
the maximum value of upsAlarmId would otherwise be
exceeded.  Consequently, after multiple operations,
the table may become sparse, e.g., containing entries
for rows 95, 100, 101, and 203 and the entries should
not be assumed to be in chronological order because
upsAlarmId might have wrapped.

Alarms are named by an AutonomousType (OBJECT
IDENTIFIER), upsAlarmDescr, to allow a single table to
reflect well known alarms plus alarms defined by a
particular implementation, i.e., as documented in the
private enterprise MIB definition for the device.  No
two rows will have the same value of upsAlarmDescr,
since alarms define conditions.  In order to meet this
requirement, care should be taken in the definition of
alarm conditions to insure that a system cannot enter
the same condition multiple times simultaneously.

The number of rows in the table at any given time is
reflected by the value of upsAlarmsPresent.""",
        }, # table
        "upsAlarmEntry" : {
            "nodetype" : "row",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.2.1",
            "status" : "current",
            "linkage" : [
                "upsAlarmId",
            ],
            "description" :
                """An entry containing information applicable to a
particular alarm.""",
        }, # row
        "upsAlarmId" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "PositiveInteger"},
            },
            "access" : "noaccess",
            "description" :
                """A unique identifier for an alarm condition.  This
value must remain constant.""",
        }, # column
        "upsAlarmDescr" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "AutonomousType"},
            },
            "access" : "readonly",
            "description" :
                """A reference to an alarm description object.  The
object referenced should not be accessible, but rather
be used to provide a unique description of the alarm
condition.""",
        }, # column
        "upsAlarmTime" : {
            "nodetype" : "column",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime when the alarm condition was
detected.  If the alarm condition was detected at the
time of agent startup and presumably existed before
agent startup, the value of upsAlarmTime shall equal
0.""",
        }, # column
        "upsWellKnownAlarms" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3",
        }, # node
        "upsAlarmBatteryBad" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.1",
            "status" : "current",
            "description" :
                """One or more batteries have been determined to require
replacement.""",
        }, # node
        "upsAlarmOnBattery" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.2",
            "status" : "current",
            "description" :
                """The UPS is drawing power from the batteries.""",
        }, # node
        "upsAlarmLowBattery" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.3",
            "status" : "current",
            "description" :
                """The remaining battery run-time is less than or equal
to upsConfigLowBattTime.""",
        }, # node
        "upsAlarmDepletedBattery" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.4",
            "status" : "current",
            "description" :
                """The UPS will be unable to sustain the present load
when and if the utility power is lost.""",
        }, # node
        "upsAlarmTempBad" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.5",
            "status" : "current",
            "description" :
                """A temperature is out of tolerance.""",
        }, # node
        "upsAlarmInputBad" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.6",
            "status" : "current",
            "description" :
                """An input condition is out of tolerance.""",
        }, # node
        "upsAlarmOutputBad" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.7",
            "status" : "current",
            "description" :
                """An output condition (other than OutputOverload) is
out of tolerance.""",
        }, # node
        "upsAlarmOutputOverload" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.8",
            "status" : "current",
            "description" :
                """The output load exceeds the UPS output capacity.""",
        }, # node
        "upsAlarmOnBypass" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.9",
            "status" : "current",
            "description" :
                """The Bypass is presently engaged on the UPS.""",
        }, # node
        "upsAlarmBypassBad" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.10",
            "status" : "current",
            "description" :
                """The Bypass is out of tolerance.""",
        }, # node
        "upsAlarmOutputOffAsRequested" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.11",
            "status" : "current",
            "description" :
                """The UPS has shutdown as requested, i.e., the output
is off.""",
        }, # node
        "upsAlarmUpsOffAsRequested" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.12",
            "status" : "current",
            "description" :
                """The entire UPS has shutdown as commanded.""",
        }, # node
        "upsAlarmChargerFailed" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.13",
            "status" : "current",
            "description" :
                """An uncorrected problem has been detected within the
UPS charger subsystem.""",
        }, # node
        "upsAlarmUpsOutputOff" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.14",
            "status" : "current",
            "description" :
                """The output of the UPS is in the off state.""",
        }, # node
        "upsAlarmUpsSystemOff" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.15",
            "status" : "current",
            "description" :
                """The UPS system is in the off state.""",
        }, # node
        "upsAlarmFanFailure" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.16",
            "status" : "current",
            "description" :
                """The failure of one or more fans in the UPS has been
detected.""",
        }, # node
        "upsAlarmFuseFailure" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.17",
            "status" : "current",
            "description" :
                """The failure of one or more fuses has been detected.""",
        }, # node
        "upsAlarmGeneralFault" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.18",
            "status" : "current",
            "description" :
                """A general fault in the UPS has been detected.""",
        }, # node
        "upsAlarmDiagnosticTestFailed" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.19",
            "status" : "current",
            "description" :
                """The result of the last diagnostic test indicates a
failure.""",
        }, # node
        "upsAlarmCommunicationsLost" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.20",
            "status" : "current",
            "description" :
                """A problem has been encountered in the communications
between the agent and the UPS.""",
        }, # node
        "upsAlarmAwaitingPower" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.21",
            "status" : "current",
            "description" :
                """The UPS output is off and the UPS is awaiting the
return of input power.""",
        }, # node
        "upsAlarmShutdownPending" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.22",
            "status" : "current",
            "description" :
                """A upsShutdownAfterDelay countdown is underway.""",
        }, # node
        "upsAlarmShutdownImminent" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.23",
            "status" : "current",
            "description" :
                """The UPS will turn off power to the load in less than
5 seconds; this may be either a timed shutdown or a
low battery shutdown.""",
        }, # node
        "upsAlarmTestInProgress" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.6.3.24",
            "status" : "current",
            "description" :
                """A test is in progress, as initiated and indicated by
the Test Group.  Tests initiated via other
implementation-specific mechanisms can indicate the
presence of the testing in the alarm table, if
desired, via a OBJECT-IDENTITY macro in the MIB
document specific to that implementation and are
outside the scope of this OBJECT-IDENTITY.""",
        }, # node
        "upsTest" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7",
        }, # node
        "upsTestId" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "readwrite",
            "description" :
                """The test is named by an OBJECT IDENTIFIER which
allows a standard mechanism for the initiation of
tests, including the well known tests identified in
this document as well as those introduced by a
particular implementation, i.e., as documented in the
private enterprise MIB definition for the device.

Setting this variable initiates the named test. Sets
to this variable require the presence of
upsTestSpinLock in the same SNMP message.

The set request will be rejected with an appropriate
error message if the requested test cannot be
performed, including attempts to start a test when
another test is already in progress.  The status of
the current or last test is maintained in
upsTestResultsSummary. Tests in progress may be
aborted by setting the upsTestId variable to
upsTestAbortTestInProgress.

Read operations return the value of the name of the
test in progress if a test is in progress or the name
of the last test performed if no test is in progress,
unless no test has been run, in which case the well
known value upsTestNoTestsInitiated is returned.""",
        }, # scalar
        "upsTestSpinLock" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TestAndIncr"},
            },
            "access" : "readwrite",
            "description" :
                """A spin lock on the test subsystem.  The spinlock is
used as follows.

Before starting a test, a manager-station should make
sure that a test is not in progress as follows:

    try_again:
      get (upsTestSpinLock)
      while (upsTestResultsSummary == inProgress) {
        /* loop while a test is running for another
manager */
        short delay
        get (upsTestSpinLock)
      }
      lock_value = upsTestSpinLock
      /* no test in progress, start the test */
      set (upsTestSpinLock = lock_value, upsTestId =
requested_test)
      if (error_index == 1) { /* (upsTestSpinLock
failed) */
        /* if problem is not access control, then
            some other manager slipped in ahead of us
*/
        goto try_again
      }
      if (error_index == 2) { /* (upsTestId) */
        /* cannot perform the test */
        give up
      }
      /* test started ok */
      /* wait for test completion by polling
upsTestResultsSummary */
      get (upsTestSpinLock, upsTestResultsSummary,
upsTestResultsDetail)
      while (upsTestResultsSummary == inProgress) {
        short delay
        get (upsTestSpinLock, upsTestResultsSummary,
upsTestResultsDetail)
      }
      /* when test completes, retrieve any additional
test results */
      /* if upsTestSpinLock == lock_value + 1, then
these are our test */
      /* results (as opposed to another manager's */
      The initial value of upsTestSpinLock at agent
initialization shall
      be 1.""",
        }, # scalar
        "upsTestResultsSummary" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "donePass" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "doneWarning" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "doneError" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "aborted" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "inProgress" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "noTestsInitiated" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The results of the current or last UPS diagnostics
test performed.  The values for donePass(1),
doneWarning(2), and doneError(3) indicate that the
test completed either successfully, with a warning, or
with an error, respectively.  The value aborted(4) is
returned for tests which are aborted by setting the
value of upsTestId to upsTestAbortTestInProgress.
Tests which have not yet concluded are indicated by
inProgress(5).  The value noTestsInitiated(6)
indicates that no previous test results are available,
such as is the case when no tests have been run since
the last reinitialization of the network management
subsystem and the system has no provision for non-
volatile storage of test results.""",
        }, # scalar
        "upsTestResultsDetail" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Additional information about upsTestResultsSummary.
If no additional information available, a zero length
string is returned.""",
        }, # scalar
        "upsTestStartTime" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time the test in
progress was initiated, or, if no test is in progress,
the time the previous test was initiated.  If the
value of upsTestResultsSummary is noTestsInitiated(6),
upsTestStartTime has the value 0.""",
        }, # scalar
        "upsTestElapsedTime" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeInterval"},
            },
            "access" : "readonly",
            "description" :
                """The amount of time, in TimeTicks, since the test in
progress was initiated, or, if no test is in progress,
the previous test took to complete.  If the value of
upsTestResultsSummary is noTestsInitiated(6),
upsTestElapsedTime has the value 0.""",
        }, # scalar
        "upsWellKnownTests" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7",
        }, # node
        "upsTestNoTestsInitiated" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7.1",
            "status" : "current",
            "description" :
                """No tests have been initiated and no test is in
progress.""",
        }, # node
        "upsTestAbortTestInProgress" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7.2",
            "status" : "current",
            "description" :
                """The test in progress is to be aborted / the test in
progress was aborted.""",
        }, # node
        "upsTestGeneralSystemsTest" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7.3",
            "status" : "current",
            "description" :
                """The manufacturer's standard test of UPS device
systems.""",
        }, # node
        "upsTestQuickBatteryTest" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7.4",
            "status" : "current",
            "description" :
                """A test that is sufficient to determine if the battery
needs replacement.""",
        }, # node
        "upsTestDeepBatteryCalibration" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.7.7.5",
            "status" : "current",
            "description" :
                """The system is placed on battery to a discharge level,
set by the manufacturer, sufficient to determine
battery replacement and battery run-time with a high
degree of confidence.  WARNING:  this test will leave
the battery in a low charge state and will require
time for recharging to a level sufficient to provide
normal battery duration for the protected load.""",
        }, # node
        "upsControl" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8",
        }, # node
        "upsShutdownType" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "output" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "system" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """This object determines the nature of the action to be
taken at the time when the countdown of the
upsShutdownAfterDelay and upsRebootWithDuration
objects reaches zero.

Setting this object to output(1) indicates that
shutdown requests should cause only the output of the
UPS to turn off.  Setting this object to system(2)
indicates that shutdown requests will cause the entire
UPS system to turn off.""",
        }, # scalar
        "upsShutdownAfterDelay" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "-1",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "-1",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """Setting this object will shutdown (i.e., turn off)
either the UPS output or the UPS system (as determined
by the value of upsShutdownType at the time of
shutdown) after the indicated number of seconds, or
less if the UPS batteries become depleted. Setting
this object to 0 will cause the shutdown to occur
immediately.  Setting this object to -1 will abort the
countdown.  If the system is already in the desired
state at the time the countdown reaches 0, then
nothing will happen.  That is, there is no additional
action at that time if upsShutdownType = system and
the system is already off.  Similarly, there is no
additional action at that time if upsShutdownType =
output and the output is already off.  When read,
upsShutdownAfterDelay will return the number of
seconds remaining until shutdown, or -1 if no shutdown
countdown is in effect.  On some systems, if the agent
is restarted while a shutdown countdown is in effect,
the countdown may be aborted.  Sets to this object
override any upsShutdownAfterDelay already in effect.""",
        }, # scalar
        "upsStartupAfterDelay" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "-1",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "-1",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """Setting this object will start the output after the
indicated number of seconds, including starting the
UPS, if necessary.  Setting this object to 0 will
cause the startup to occur immediately.  Setting this
object to -1 will abort the countdown.  If the output
is already on at the time the countdown reaches 0,
then nothing will happen.  Sets to this object
override the effect of any upsStartupAfterDelay
countdown or upsRebootWithDuration countdown in
progress.  When read, upsStartupAfterDelay will return
the number of seconds until startup, or -1 if no
startup countdown is in effect.  If the countdown
expires during a utility failure, the startup shall
not occur until the utility power is restored.  On
some systems, if the agent is restarted while a
startup countdown is in effect, the countdown is
aborted.""",
        }, # scalar
        "upsRebootWithDuration" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "-1",
                        "max" : "300"
                    },
                    ],
                    "range" : {
                        "min" : "-1",
                        "max" : "300"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """Setting this object will immediately shutdown (i.e.,
turn off) either the UPS output or the UPS system (as
determined by the value of upsShutdownType at the time
of shutdown) for a period equal to the indicated
number of seconds, after which time the output will be
started, including starting the UPS, if necessary.  If
the number of seconds required to perform the request
is greater than the requested duration, then the
requested shutdown and startup cycle shall be
performed in the minimum time possible, but in no case
shall this require more than the requested duration
plus 60 seconds.  When read, upsRebootWithDuration
shall return the number of seconds remaining in the
countdown, or -1 if no countdown is in progress.  If
the startup should occur during a utility failure, the
startup shall not occur until the utility power is
restored.""",
        }, # scalar
        "upsAutoRestart" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.8.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "on" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "off" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """Setting this object to 'on' will cause the UPS system
to restart after a shutdown if the shutdown occurred
during a power loss as a result of either a
upsShutdownAfterDelay or an internal battery depleted
condition.  Setting this object to 'off' will prevent
the UPS system from restarting after a shutdown until
an operator manually or remotely explicitly restarts
it.  If the UPS is in a startup or reboot countdown,
then the UPS will not restart until that delay has
been satisfied.""",
        }, # scalar
        "upsConfig" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9",
        }, # node
        "upsConfigInputVoltage" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "RMS Volts",
            "description" :
                """The magnitude of the nominal input voltage.  On those
systems which support read-write access to this
object, if there is an attempt to set this variable to
a value that is not supported, the request must be
rejected and the agent shall respond with an
appropriate error message, i.e., badValue for SNMPv1,
or inconsistentValue for SNMPv2.""",
        }, # scalar
        "upsConfigInputFreq" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "0.1 Hertz",
            "description" :
                """The nominal input frequency.  On those systems which
support read-write access to this object, if there is
an attempt to set this variable to a value that is not
supported, the request must be rejected and the agent
shall respond with an appropriate error message, i.e.,
badValue for SNMPv1, or inconsistentValue for SNMPv2.""",
        }, # scalar
        "upsConfigOutputVoltage" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "RMS Volts",
            "description" :
                """The magnitude of the nominal output voltage.  On
those systems which support read-write access to this
object, if there is an attempt to set this variable to
a value that is not supported, the request must be
rejected and the agent shall respond with an
appropriate error message, i.e., badValue for SNMPv1,
or inconsistentValue for SNMPv2.""",
        }, # scalar
        "upsConfigOutputFreq" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "0.1 Hertz",
            "description" :
                """The nominal output frequency.  On those systems which
support read-write access to this object, if there is
an attempt to set this variable to a value that is not
supported, the request must be rejected and the agent
shall respond with an appropriate error message, i.e.,
badValue for SNMPv1, or inconsistentValue for SNMPv2.""",
        }, # scalar
        "upsConfigOutputVA" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "Volt-Amps",
            "description" :
                """The magnitude of the nominal Volt-Amp rating.""",
        }, # scalar
        "upsConfigOutputPower" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readonly",
            "units" : "Watts",
            "description" :
                """The magnitude of the nominal true power rating.""",
        }, # scalar
        "upsConfigLowBattTime" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "minutes",
            "description" :
                """The value of upsEstimatedMinutesRemaining at which a
lowBattery condition is declared.  For agents which
support only discrete (discontinuous) values, then the
agent shall round up to the next supported value.  If
the requested value is larger than the largest
supported value, then the largest supported value
shall be selected.""",
        }, # scalar
        "upsConfigAudibleStatus" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "disabled" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "enabled" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "muted" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The requested state of the audible alarm.  When in
the disabled state, the audible alarm should never
sound.  The enabled state is self-describing.  Setting
this object to muted(3) when the audible alarm is
sounding shall temporarily silence the alarm.  It will
remain muted until it would normally stop sounding and
the value returned for read operations during this
period shall equal muted(3).  At the end of this
period, the value shall revert to enabled(2).  Writes
of the value muted(3) when the audible alarm is not
sounding shall be accepted but otherwise shall have no
effect.""",
        }, # scalar
        "upsConfigLowVoltageTransferPoint" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "RMS Volts",
            "description" :
                """The minimum input line voltage allowed before the UPS
system transfers to battery backup.""",
        }, # scalar
        "upsConfigHighVoltageTransferPoint" : {
            "nodetype" : "scalar",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.1.9.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"UPS-MIB", "name" : "NonNegativeInteger"},
            },
            "access" : "readwrite",
            "units" : "RMS Volts",
            "description" :
                """The maximum line voltage allowed before the UPS
system transfers to battery backup.""",
        }, # scalar
        "upsTraps" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.2",
        }, # node
        "upsConformance" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3",
        }, # node
        "upsCompliances" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.1",
        }, # node
        "upsGroups" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2",
        }, # node
        "upsSubsetGroups" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1",
        }, # node
        "upsBasicGroups" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2",
        }, # node
        "upsFullGroups" : {
            "nodetype" : "node",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3",
        }, # node
    }, # nodes

    "notifications" : {
        "upsTrapOnBattery" : {
            "nodetype" : "notification",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.2.1",
            "status" : "current",
            "objects" : {
                "upsEstimatedMinutesRemaining" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsSecondsOnBattery" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsConfigLowBattTime" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
            },
            "description" :
                """The UPS is operating on battery power.  This trap is
persistent and is resent at one minute intervals until
the UPS either turns off or is no longer running on
battery.""",
        }, # notification
        "upsTrapTestCompleted" : {
            "nodetype" : "notification",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.2.2",
            "status" : "current",
            "objects" : {
                "upsTestId" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsTestSpinLock" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsSummary" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsDetail" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsTestStartTime" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsTestElapsedTime" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
            },
            "description" :
                """This trap is sent upon completion of a UPS diagnostic
test.""",
        }, # notification
        "upsTrapAlarmEntryAdded" : {
            "nodetype" : "notification",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.2.3",
            "status" : "current",
            "objects" : {
                "upsAlarmId" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsAlarmDescr" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
            },
            "description" :
                """This trap is sent each time an alarm is inserted into
to the alarm table.  It is sent on the insertion of
all alarms except for upsAlarmOnBattery and
upsAlarmTestInProgress.""",
        }, # notification
        "upsTrapAlarmEntryRemoved" : {
            "nodetype" : "notification",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.2.4",
            "status" : "current",
            "objects" : {
                "upsAlarmId" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
                "upsAlarmDescr" : {
                    "nodetype" : "object",
                    "module" : "UPS-MIB"
                },
            },
            "description" :
                """This trap is sent each time an alarm is removed from
the alarm table.  It is sent on the removal of all
alarms except for upsAlarmTestInProgress.""",
        }, # notification
    }, # notifications

    "groups" : {
        "upsSubsetIdentGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.1",
            "status" : "current",
            "members" : {
                "upsIdentManufacturer" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentModel" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentAgentSoftwareVersion" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentName" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentAttachedDevices" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetIdentGroup defines objects which are
common across all UPSs which meet subset compliance.
Most devices which conform to the upsSubsetIdentGroup
will provide access to these objects via a proxy
agent.  If the proxy agent is compatible with multiple
UPS types, configuration of the proxy agent will
require specifying some of these values, either
individually, or as a group (perhaps through a table
lookup mechanism based on the UPS model number).""",
        }, # group
        "upsSubsetBatteryGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.2",
            "status" : "current",
            "members" : {
                "upsBatteryStatus" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsSecondsOnBattery" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetBatteryGroup defines the objects that
are common to battery groups of two-contact UPSs.""",
        }, # group
        "upsSubsetInputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.3",
            "status" : "current",
            "members" : {
                "upsInputLineBads" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetInputGroup defines the objects that are
common to the Input groups of two-contact UPSs.""",
        }, # group
        "upsSubsetOutputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.4",
            "status" : "current",
            "members" : {
                "upsOutputSource" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetOutputGroup defines the objects that are
common to the Output groups of two-contact UPSs.""",
        }, # group
        "upsSubsetAlarmGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.6",
            "status" : "current",
            "members" : {
                "upsAlarmsPresent" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmDescr" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetAlarmGroup defines the objects that are
common to the Alarm groups of two-contact UPSs.""",
        }, # group
        "upsSubsetControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.8",
            "status" : "current",
            "members" : {
                "upsShutdownType" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsShutdownAfterDelay" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAutoRestart" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetControlGroup defines the objects that
are common to the Control groups of two-contact UPSs.""",
        }, # group
        "upsSubsetConfigGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.1.9",
            "status" : "current",
            "members" : {
                "upsConfigInputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigInputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVA" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputPower" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsSubsetConfigGroup defines the objects that are
common to the Config groups of two-contact UPSs.""",
        }, # group
        "upsBasicIdentGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.1",
            "status" : "current",
            "members" : {
                "upsIdentManufacturer" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentModel" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentUPSSoftwareVersion" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentAgentSoftwareVersion" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentName" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicIdentGroup defines objects which are
common to the Ident group of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicBatteryGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.2",
            "status" : "current",
            "members" : {
                "upsBatteryStatus" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsSecondsOnBattery" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicBatteryGroup defines the objects that are
common to the battery groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicInputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.3",
            "status" : "current",
            "members" : {
                "upsInputLineBads" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicInputGroup defines the objects that are
common to the Input groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicOutputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.4",
            "status" : "current",
            "members" : {
                "upsOutputSource" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicOutputGroup defines the objects that are
common to the Output groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicBypassGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.5",
            "status" : "current",
            "members" : {
                "upsBypassFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsBypassNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsBypassVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicBypassGroup defines the objects that are
common to the Bypass groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicAlarmGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.6",
            "status" : "current",
            "members" : {
                "upsAlarmsPresent" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmDescr" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicAlarmGroup defines the objects that are
common to the Alarm  groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicTestGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.7",
            "status" : "current",
            "members" : {
                "upsTestId" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestSpinLock" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsSummary" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsDetail" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestStartTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestElapsedTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicTestGroup defines the objects that are
common to the Test groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.8",
            "status" : "current",
            "members" : {
                "upsShutdownType" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsShutdownAfterDelay" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsStartupAfterDelay" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsRebootWithDuration" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAutoRestart" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicControlGroup defines the objects that are
common to the Control groups of compliant UPSs which
support basic functions.""",
        }, # group
        "upsBasicConfigGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.2.9",
            "status" : "current",
            "members" : {
                "upsConfigInputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigInputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVA" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputPower" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigLowBattTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigAudibleStatus" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsBasicConfigGroup defines the objects that are
common to the Config groups of UPSs which support
basic functions.""",
        }, # group
        "upsFullIdentGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.1",
            "status" : "current",
            "members" : {
                "upsIdentManufacturer" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentModel" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentUPSSoftwareVersion" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentAgentSoftwareVersion" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentName" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsIdentAttachedDevices" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullIdentGroup defines objects which are
common to the Ident group of fully compliant UPSs.""",
        }, # group
        "upsFullBatteryGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.2",
            "status" : "current",
            "members" : {
                "upsBatteryStatus" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsSecondsOnBattery" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsEstimatedMinutesRemaining" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsEstimatedChargeRemaining" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullBatteryGroup defines the objects that are
common to the battery groups of fully compliant UPSs.""",
        }, # group
        "upsFullInputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.3",
            "status" : "current",
            "members" : {
                "upsInputLineBads" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsInputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullInputGroup defines the objects that are
common to the Input groups of fully compliant UPSs.""",
        }, # group
        "upsFullOutputGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.4",
            "status" : "current",
            "members" : {
                "upsOutputSource" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputCurrent" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputPower" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsOutputPercentLoad" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullOutputGroup defines the objects that are
common to the Output groups of fully compliant UPSs.""",
        }, # group
        "upsFullBypassGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.5",
            "status" : "current",
            "members" : {
                "upsBypassFrequency" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsBypassNumLines" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsBypassVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullBypassGroup defines the objects that are
common to the Bypass groups of fully compliant UPSs.""",
        }, # group
        "upsFullAlarmGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.6",
            "status" : "current",
            "members" : {
                "upsAlarmsPresent" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmDescr" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAlarmTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullAlarmGroup defines the objects that are
common to the Alarm  groups of fully compliant UPSs.""",
        }, # group
        "upsFullTestGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.7",
            "status" : "current",
            "members" : {
                "upsTestId" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestSpinLock" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsSummary" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestResultsDetail" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestStartTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsTestElapsedTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullTestGroup defines the objects that are
common to the Test groups of fully compliant UPSs.""",
        }, # group
        "upsFullControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.8",
            "status" : "current",
            "members" : {
                "upsShutdownType" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsShutdownAfterDelay" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsStartupAfterDelay" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsRebootWithDuration" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsAutoRestart" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullControlGroup defines the objects that are
common to the Control groups of fully compliant UPSs.""",
        }, # group
        "upsFullConfigGroup" : {
            "nodetype" : "group",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.2.3.9",
            "status" : "current",
            "members" : {
                "upsConfigInputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigInputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVoltage" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputFreq" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputVA" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigOutputPower" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigLowBattTime" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
                "upsConfigAudibleStatus" : {
                    "nodetype" : "member",
                    "module" : "UPS-MIB"
                },
            }, # members
            "description" :
                """The upsFullConfigGroup defines the objects that are
common to the Config groups of fully compliant UPSs.""",
        }, # group
    }, # groups

    "compliances" : {
        "upsSubsetCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for UPSs that only support
the two-contact communication protocol.""",
            "requires" : {
                "upsSubsetIdentGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetBatteryGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetInputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetOutputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetAlarmGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetControlGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsSubsetConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
            }, # requires
            "refinements" : {
                "upsBatteryStatus" : {
                    "module" : "UPS-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "batteryNormal" : {
                                "nodetype" : "namednumber",
                                "number" : "2"
                            },
                            "batteryLow" : {
                                "nodetype" : "namednumber",
                                "number" : "3"
                            },
                        },
                    }, # syntax
                    "description" :
                        """Support of the values unknown(1) and
batteryDepleted(4) is not required.""",
                },
                "upsAlarmDescr" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Support of all `well known' alarm types is not
required.  The well known alarm types which must be
supported are: upsAlarmOnBattery, upsAlarmLowBattery,
upsAlarmInputBad, upsAlarmUpsOutputOff,
upsAlarmUpsSystemOff, and upsAlarmTestInProgress.""",
                },
                "upsOutputSource" : {
                    "module" : "UPS-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "normal" : {
                                "nodetype" : "namednumber",
                                "number" : "3"
                            },
                            "battery" : {
                                "nodetype" : "namednumber",
                                "number" : "5"
                            },
                        },
                    }, # syntax
                    "description" :
                        """Support of the values other(1), none(2), bypass(4),
booster(6) and reducer(7) is not required.""",
                },
                "upsShutdownType" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one shutdown type.""",
                },
                "upsAutoRestart" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one restart type.""",
                },
                "upsConfigInputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigInputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "upsBasicCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.1.2",
            "status" : "current",
            "description" :
                """The compliance statement for UPSs that support
full-featured functions, such as control.""",
            "requires" : {
                "upsBasicIdentGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicBatteryGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicInputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicOutputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicAlarmGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicTestGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicControlGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsBasicBypassGroup" : {
                    "nodetype" : "optional",
                    "module" : "UPS-MIB",
                    "description" :
                        """The upsBasicBypassGroup is only required for UPSs
that have a Bypass present.""",
                },
            }, # requires
            "refinements" : {
                "upsAlarmDescr" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Support of all `well known' alarm types is not
required.  The well known alarm types which must be
supported are: upsAlarmOnBattery, upsAlarmLowBattery,
upsAlarmDepletedBattery, upsAlarmTempBad,
upsAlarmInputBad, upsAlarmOutputOverload,
upsAlarmOnBypass, upsAlarmBypassBad,
upsAlarmOutputOffAsRequested,
upsAlarmUpsOffAsRequested, upsAlarmUpsOutputOff,
upsAlarmUpsSystemOff, upsAlarmGeneralFault,
upsAlarmDiagnosticTestFailed,
upsAlarmCommunicationsLost, upsAlarmShutdownPending,
and upsAlarmTestInProgress.""",
                },
                "upsTestId" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Support of all `well known' test types is not
required.  If no tests are supported, then the only
well known test type which must be supported is
upsTestNoTestsInitiated.""",
                },
                "upsOutputSource" : {
                    "module" : "UPS-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "normal" : {
                                "nodetype" : "namednumber",
                                "number" : "3"
                            },
                            "battery" : {
                                "nodetype" : "namednumber",
                                "number" : "5"
                            },
                        },
                    }, # syntax
                    "description" :
                        """Support of the values other(1), none(2), bypass(4),
booster(6) and reducer(7) is not required.""",
                },
                "upsShutdownType" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one shutdown type.""",
                },
                "upsAutoRestart" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one restart type.""",
                },
                "upsConfigInputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigInputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigLowBattTime" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Implementation of all possible values may be onerous
for some systems.  Consequently, not all possible
values must be supported.  However, at least two
different manufacturer-selected values must be
supported.""",
                },
            }, # refinements

        }, # compliance
        "upsFullCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "UPS-MIB",
            "oid" : "1.3.6.1.2.1.33.3.1.3",
            "status" : "current",
            "description" :
                """The compliance statement for UPSs that support
advanced full-featured functions.""",
            "requires" : {
                "upsFullIdentGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullBatteryGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullInputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullOutputGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullAlarmGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullTestGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullControlGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "UPS-MIB"
                },
                "upsFullBypassGroup" : {
                    "nodetype" : "optional",
                    "module" : "UPS-MIB",
                    "description" :
                        """The upsFullBypassGroup is only required for UPSs that
have a Bypass present.""",
                },
            }, # requires
            "refinements" : {
                "upsAlarmDescr" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Support of all `well known' alarm types is not
required.  The well known alarm types which must be
supported are: upsAlarmBatteryBad, upsAlarmOnBattery,
upsAlarmLowBattery, upsAlarmDepletedBattery,
upsAlarmTempBad, upsAlarmInputBad, upsAlarmOnBypass,
upsAlarmBypassBad, upsAlarmOutputOffAsRequested,
upsAlarmUpsOffAsRequested, upsAlarmUpsOutputOff,
upsAlarmUpsSystemOff, upsAlarmGeneralFault,
upsAlarmDiagnosticTestFailed,
upsAlarmCommunicationsLost, upsAlarmShutdownPending,
and upsAlarmTestInProgress.""",
                },
                "upsTestId" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Support of all `well known' test types is not
required.  The well known test types which must be
supported are: upsTestNoTestsInitiated,
upsTestGeneralSystemsTest, and
upsTestQuickBatteryTest.""",
                },
                "upsOutputSource" : {
                    "module" : "UPS-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "normal" : {
                                "nodetype" : "namednumber",
                                "number" : "3"
                            },
                            "battery" : {
                                "nodetype" : "namednumber",
                                "number" : "5"
                            },
                        },
                    }, # syntax
                    "description" :
                        """Support of the values other(1), none(2), bypass(4),
booster(6) and reducer(7) is not required.""",
                },
                "upsShutdownType" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one shutdown type.""",
                },
                "upsAutoRestart" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required, i.e., compliant
systems need not support more than one restart type.""",
                },
                "upsConfigInputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigInputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputVoltage" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigOutputFreq" : {
                    "module" : "UPS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Read-write access is not required.""",
                },
                "upsConfigLowBattTime" : {
                    "module" : "UPS-MIB",
                    "description" :
                        """Implementation of all possible values may be onerous
for some systems.  Consequently, not all possible
values must be supported.  However, at least two
different manufacturer-selected values must be
supported.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
